#ifndef _API_ORIGIN_EXPLAIN_H_
#define _API_ORIGIN_EXPLAIN_H_

#include "api_origin_includes.h"

int
send_srchreq_explain_to_target(DbvAssocId *assoc_id,
		      DbvAssociateState *assoc_state,
		      DbvAssociateResult **assoc_res,
		      DbvReleaseState *rel_state,
		      DbvError **error,
		      char *dbname);
void
fill_search_request_explain(DbvSearchReq *psSearchReq, char *dbname);
void
print_pre_search_explain_blurb(void);
void
fill_srchreq_explain_Query(DbvQuery *psQuery);
int
send_srchreq_explain_cip_to_target(DbvAssocId *assoc_id,
		      DbvAssociateState *assoc_state,
		      DbvAssociateResult **assoc_res,
		      DbvReleaseState *rel_state,
		      DbvError **error,
		      char *dbname);
void
fill_search_request_explain_cip(DbvSearchReq *psSearchReq, char *dbname);
void
print_pre_search_explain_cip_blurb(void);
void
fill_srchreq_explain_cip_Query(DbvQuery *psQuery);
#endif /* not _API_ORIGIN_EXPLAIN_H_ */
