#ifndef api_origin_init_h
#define api_origin_init_h

#include "api_origin_includes.h"


int send_initreq_to_target(DbvAssocId *assoc_id, DbvAssociateState *assoc_state, DbvAssociateResult **assoc_res, DbvReleaseState *rel_state, DbvError **error, int version);
int fill_init_request(DbvInitializeReq *psInitializeReq, int version);
int fill_init_request_v2style(DbvInitializeReq *psInitializeReq);
int fill_init_request_v3style(DbvInitializeReq *psInitializeReq);
int fill_init_request_idauth_open(DbvAuthentication *psAuthentication, char *open);
int fill_init_request_idauth_pass(DbvAuthentication *psAuthentication, char *groupid, char *userid, char *password);
int fill_init_request_idauth_anon(DbvAuthentication *psAuthentication);
int fill_init_request_idauth_other(DbvAuthentication *psAuthentication);
int fill_initreq_idauth_other_sutrs(DbvASN1External *external);
int fill_init_request_othinfo_char(DbvOtherInformation *psOtherInformation);
int fill_init_request_othinfo_bin(DbvOtherInformation *psOtherInformation);
int fill_init_request_othinfo_ext(DbvOtherInformation *psOtherInformation);
int fill_init_request_othinfo_obj(DbvOtherInformation *psOtherInformation);



int send_initreq_charset_to_target(DbvAssocId *assoc_id, DbvAssociateState *assoc_state, DbvAssociateResult **assoc_res, DbvReleaseState *rel_state, DbvError **error);




#endif

