#ifndef api_target_pres_h
#define api_target_pres_h

#include "api_target_includes.h"


int send_presrsp_to_origin(int assoc_id);
int fill_pres_response(DbvPresentRsp *psPresentRsp);
int fill_present_records(DbvRecords *psRecords);
int fill_records_sutrs(DbvNamePlusRecord **ppsResponseRecord);
int fill_records_opac(DbvNamePlusRecord **ppsResponseRecord);
int fill_records_summary(DbvNamePlusRecord **ppsResponseRecord);
int fill_records_surrdiag(DbvNamePlusRecord **ppsResponseRecord);
int fill_records_octetaligned(DbvNamePlusRecord **ppsResponseRecord);
int fill_records_arbitrary(DbvNamePlusRecord **ppsResponseRecord);
int fill_response_opac(DbvASN1External *external);
int fill_the_opac(struct DbvOpacRecord *psOpacRecord);
int fill_holdings_record1(DbvHoldingsRecord *psHoldingsData);
int fill_holdings_record2(DbvHoldingsRecord *psHoldingsData);
int fill_holdings_bulk(DbvHoldingsAndCircData *psHoldingsAndCirc,
		char *rec_type,
		char *enc_level,
		char *format,
		char *rec_acq_stat,
		char *gen_ret,
		char *completness,
		char *date_report,
		char *nuc_code,
		char *local_loc,
		char *shelv_loc,
		char *call_num,
		char *shelv_data,
		char *copy_num,
		char *pub_note,
		char *repo_note,
		char *terms_use_repo,
		char *enum_and_chron
	);
int fill_volume(DbvVolume *psVolume, char *enum_var, char *chron, char *enumandchron);
int fill_circrec(DbvCircRecord *ppsCircRecord,
	DbvBool myfAvailableNow,
	char *mypsAvailabilityDate,
	char *mypsAvailableThru,
	char *mypsRestrictions,
	char *mypsItemId,
	DbvBool myfRenewable,
	DbvBool myfOnHold,
	char *mypsEnumAndChron,
	char *mypsMidspine,
	char *mypsTemporaryLocation
);
int fill_response_summary(DbvASN1External *external);
int fill_pres_resp_othinfo_obj(DbvOtherInformation *psOtherInformation);
int fill_summary_format(DbvFormatSpec **ppsFormat);
int fill_format_spec(DbvFormatSpec *psFormat, char *type_val, unsigned long *size_val, unsigned long *bestpos_val);
int fill_records_explain(DbvNamePlusRecord **ppsResponseRecord);
int fill_response_explain(DbvASN1External *external);
int fill_pres_response_userinfo(DbvASN1External *external);
int fill_pres_response_othinfo_char(DbvOtherInformation *psOtherInformation);
int fill_pres_response_othinfo_bin(DbvOtherInformation *psOtherInformation);
int fill_pres_response_othinfo_ext(DbvOtherInformation *psOtherInformation);
int fill_pres_response_othinfo_obj(DbvOtherInformation *psOtherInformation);

#endif

