#ifndef api_target_scan_h
#define api_target_scan_h

#include "api_target_includes.h"


int send_scanrsp_to_origin(int assoc_id);
int fill_scan_response(DbvScanRsp *psScanRsp);
int fill_listent(DbvListEntries *psEntries);
int fill_entries(DbvEntry **ppsEntry);
int fill_entry(DbvEntry *psEntry);
int fill_terminfo(DbvTermInfo *psTermInfo);
int fill_attsplusterm_list(DbvAttributesPlusTerm **ppsAlternativeTerm);
int fill_occurbyatt(DbvOccurrenceByAttributes *psByAttributes);
int fill_occurrence(DbvOccurrence *psOccurrence);
int fill_occurrencebydb_list(DbvOccurrenceByDb **ppsOccurrenceByDb);
int fill_occurrencebydb(DbvOccurrenceByDb *psOccurrenceByDb);
int fill_occurrence_othinfo_char(DbvOtherInformation *psOtherInformation);
int fill_byatts_othinfo_char(DbvOtherInformation *psOtherInformation);
int fill_terminfo_othinfo_char(DbvOtherInformation *psOtherInformation);
int fill_scan_response_othinfo_char(DbvOtherInformation *psOtherInformation);
int fill_scan_response_othinfo_bin(DbvOtherInformation *psOtherInformation);
int fill_scan_response_othinfo_ext(DbvOtherInformation *psOtherInformation);
int fill_scan_response_othinfo_obj(DbvOtherInformation *psOtherInformation);

#endif

