/*  Module Name: @(#)error.h	7.1
    Version: 11/15/96
    Author: Chris Atewell
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description: Internal API routine to fill error structure correctly
 
*/

#ifndef DBVERROR_H
#define DBVERROR_H

#include "z3950_includes.h"

void DBVfill_error_structure(   DbvAssocId lAssocId, DbvErrorClass eSIErrorClass,
                                DbvAbortSource eAbortSource,
                                DbvAbortReason lAbortReason, char *pcDiagnostics,
                                DbvErrorCode lIfOsCoError, 
                                DbvAssociationState eAssociationState, 
                                DbvError **ppsSIError);

void DBVCheckError(DbvError **ppsError);

#endif
