/*  Module Name: @(#)oid_overwrites_sil.c	7.4
    Version: 12/6/96
    Author: John Hough

    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ

    Date of Issue:

    QA Acceptance:
    Date of Acceptance:

    Description: snacc oid overwrite

*/

#include "sidefs.h"
#include "sitypes.h"
#include "sitypes2.h"
#include "dbvproto.h" 
#include "iord_ext.h"
#include "itemordr.h"




int val;
jmp_buf env;
 
if ((val = setjmp(env)) == 0) {
 
AsnOid temp;

/* in z3950_globals.c */
/*
extern char essilsrrOid_static[],
*/
extern char esprintOid_static[],
	esalertOid_static[],
	corderOid_static[];


/*
SIL_SSR - 1.2.840.10003.9.1000.61.1 
ASN_MakeOid(SIL_SRR, &temp, env);
memcpy(essilsrrOid_static, temp.octs, temp.octetLen);
Asn1Free(temp.octs);
essilsrrOid.octs = essilsrrOid_static;
essilsrrOid.octetLen = temp.octetLen;
oid0.octs = essilsrrOid_static;
oid0.octetLen = temp.octetLen;
*/



/* ESRIN_PRINT - 1.2.840.10003.9.1000.70.1 */
ASN_MakeOid(ESRIN_PRINT, &temp, env);
memcpy(esprintOid_static, temp.octs, temp.octetLen);
Asn1Free(temp.octs);
esprintOid.octs = esprintOid_static;
esprintOid.octetLen = temp.octetLen;
oid2.octs = esprintOid_static;
oid2.octetLen = temp.octetLen;



/* ESRIN_ALERT - 1.2.840.10003.9.1000.70.2 */
ASN_MakeOid(ESRIN_ALERT, &temp, env);
memcpy(esalertOid_static, temp.octs, temp.octetLen);
Asn1Free(temp.octs);
esalertOid.octs = esalertOid_static;
esalertOid.octetLen = temp.octetLen;
oid0.octs = esalertOid_static;
oid0.octetLen = temp.octetLen;



/* ESRIN_ORDER - 1.2.840.10003.9.4.1000.70.1 */
ASN_MakeOid(ESRIN_ORDER, &temp, env);
memcpy(corderOid_static, temp.octs, temp.octetLen);
Asn1Free(temp.octs);
corderOid.octs = corderOid_static;
corderOid.octetLen = temp.octetLen;
oid1.octs = corderOid_static;
oid1.octetLen = temp.octetLen;





} else {
        fprintf(stderr, "ASN_MakeOid failed for oid_overwrites_sil.c\n");
}
 



