
#ifndef tsendbas_h
#define tsendbas_h

#include <stdio.h>
#include <sys/types.h>
#include <sys/file.h>
#include <sys/stat.h>

/* dont use sys/fnctl.h cos that fails on aix */
#include <fcntl.h>

#include "sidefs.h"
#include "sitypes.h"
#include "sitypes2.h"
#include "dbvproto.h"




/* Fragment size */
#define FRAGSIZE 10000

/* Define used when setting up fragments */
#define NOT_YET_SET -1


DbvBool get_image(char **filedata, char *image_file, int *filesize);
DbvBool open_image_file(char *image_file, int *fd, int *size);
DbvBool read_in_filedata(int fd, char *filedata, int filesize);
DbvBool split_into_frags(char *image_file, char *filedata, int filesize, int fragsize, DbvAssocId associd);






#endif
