/*  Module Name: @(#)z3950_send_receive.h	1.7
    Version: 12/6/94
    Author: John Hough/Chris Attewell
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description: DBV-OSI II TCP/IP and OSI BER data send and receive routines
 
*/

#ifndef SEND_RECEIVE_H
#define SEND_RECEIVE_H

#include "z3950_includes.h"


int DBVencode_and_send(PDU *PDU_ptr, DbvAssocId lAssocId, DbvError **ppsError);
int DBVsend_data_over_socket(int socket, char *sendbuffer, int len);
int DBVtestsend(int socket, char *sendbuffer, int len);
int DBVreceive_data_over_socket(DbvAssocId lAssocId, PDU *PDU_ptr, int socket, DbvSecs lSeconds, char **ber_data, unsigned long *ber_data_length, DbvError **ppsError);

#ifndef NO_OSI
int DBVreceive_data_over_OSI(DbvAssocId lAssocId, PDU *PDU_ptr, int lOSIAssocId, DbvSecs lSeconds, char **ber_data, unsigned long *ber_data_length, DbvError **ppsError);
#endif


#endif

