#ifndef api_ill_h
#define api_ill_h

#include "api_common_includes.h"



int fill_DbvItemOrderExtendedService(DbvASN1External *external, DbvItemOrderReqOrRsp eItemOrderReqRsp);
int fill_dbv_itemorder_main(DbvItemOrderExtendedService *psItemOrderExtendedService, DbvItemOrderReqOrRsp eItemOrderReqRsp);
int fill_dbv_itemorderrequest(DbvEsIoRequest *psItemOrderRequest);
int fill_dbv_io_originparttokeep(DbvEsIoOriginPartToKeep *psToKeep);
int fill_dbv_io_contact(DbvEsIoContact *psContact);
int fill_dbv_io_addbilling(DbvEsIoAdditionalBilling *psAdditionalBilling);
int fill_dbv_io_paymethod(DbvEsIoPaymentMethod *psPaymentMethod);
int fill_dbv_io_ccinfo(DbvEsIoCreditCardInfo *psCreditCardInfo);
int fill_dbv_io_originpartnottokeep(DbvEsIoOriginPartNotToKeep *psNotToKeep);
int fill_dbv_ressetitem(DbvEsIoResultSetItem *psResultSetItem);
int fill_dbv_itemorderresponse(DbvEsIoTaskPackage *psItemOrderResponse);
int fill_dbv_io_originpartnotkeep(DbvEsIoTargetPart *psTargetPart);
int fill_dbv_io_auxstat(DbvEsIoAuxiliaryStatus *peAuxiliaryStatus);
int fill_DbvIllPdu(DbvASN1External *external);
int fill_dbv_ill_main(struct DbvIllPdu *psIllPdu);
int fill_dbv_ill_illrequest(struct DbvIllRequest *psIllRequest);
int fill_dbv_ill_protocolver(DbvIllProtocolVersion *peProtocolVersion);
int fill_dbv_ill_transid(DbvTransactionId *psTransactionId);
int fill_dbv_ill_systemid(DbvSystemId *psRequesterId);
int fill_dbv_ill_perorinsym(DbvPersonOrInstitutionSymbol *psSymbol);
int fill_dbv_ill_perorsymtype(DbvPersOrInstSymbolType *peSymbolType);
int fill_dbv_ill_illstring(DbvIllString *psCopyrightCompliance, DbvIllStringType str_type, char *fill_str);
int fill_dbv_ill_nameofperorin(DbvNameOfPersonOrInstitution *psName);
int fill_dbv_ill_namofperint(DbvNameOfPersOrInstType *peNameType);
int fill_dbv_ill_servdatetime(DbvServiceDateTime *psServiceDateTime);
int fill_dbv_ill_datetime(DbvDateTime *psThisService);
int fill_dbv_ill_transtype(DbvTransactionType *peTransactionType);
int fill_dbv_ill_delivaddr(DbvDeliveryAddress *psDeliveryAddress);
int fill_dbv_ill_postaddr(DbvPostalAddress *psPostalAddress);
int fill_dbv_ill_sysaddr(DbvSystemAddress *psElectronicAddress);
int fill_dbv_ill_delivserv(DbvDeliveryService *psDeliveryService);
int fill_dbv_ill_elecdelivser(DbvElectronicDeliveryService *psElectronicDelivery);
int fill_dbv_ill_eldeliv(DbvElDeliveryParameter *psDeliveryParameter);
int fill_dbv_ill_doctypeparam(DbvDocumentTypeParameter *psDocumentTypeParameter);
int fill_dbv_ill_delivdetails(DbvElDeliveryDetails *psDeliveryDetails);
int fill_dbv_ill_servtype(DbvServiceType *peServiceType);
int fill_dbv_ill_reqoptmsg(DbvRequesterOptionalMessages *psRequesterOptionalMessages);
int fill_dbv_ill_srchtype(DbvSearchType *psSearchType);
int fill_dbv_ill_suppmedinfo(DbvSupplyMediumInfo *psSupplyMediumInfo);
int fill_dbv_ill_placehold(DbvPlaceOnHold *pePlaceOnHold);
int fill_dbv_ill_clientid(DbvClientId *psClientId);
int fill_dbv_itemid(DbvItemId *psItemId);
int fill_dbv_ill_costinfo(DbvCostInfo *psCostInfo);
int fill_dbv_amount(DbvAmount *psMaximumCost);
int fill_dbv_ill_thirdparty(DbvThirdPartyInfo *psThirdPartyInfo);
int fill_dbv_ill_preference(DbvPreference *pePreference);
int fill_dbv_ill_sendtolist(DbvSendToList *psSendToList);
int fill_dbv_ill_extension(DbvExtension *psRequestExtension);
int fill_dbv_illext_subito(DbvSubitoAdditionalInfo *psAddIllReqInfo);
int fill_dbv_requesterinfo(DbvAddRequesterInfo *psAddRequesterInfo);
int fill_dbv_deliveryinfo(DbvAddDeliveryInfo *psAddDeliveryInfo);
int fill_dbv_billinginfo(DbvAddBillingInfo *psAddBillingInfo);
int fill_dbv_billingbankinfo(DbvBillingBankInfo *psBillingBankInfo);
int fill_dbv_billingcreditcardinfo(DbvBillingCreditCardInfo *psBillingCreditCardInfo);
int fill_dbv_ill_statorerr(struct DbvStatusOrErrorReport *psStatusOrErrorReport);
int fill_dbv_ill_raesonno(DbvReasonNoReport *peReasonNoReport);
int fill_dbv_ill_statusrep(DbvStatusReport *psStatusReport);
int fill_dbv_ill_histrep(DbvHistoryReport *psUserStatusReport);
int fill_dbv_ill_mostrecserv(DbvMostRecentService *peMostRecentService);
int fill_dbv_shipped_serv(DbvShippedServiceType *peShippedServiceType);
int fill_dbv_ill_transres(DbvTransactionResults *peTransactionResults);
int fill_dbv_ill_currstat(DbvCurrentState *peProviderStatusReport);
int fill_dbv_ill_errrep(DbvErrorReport *psErrorReport);
int fill_dbv_ill_userorproverrrep(DbvUserOrProviderErrorReport *psReport);
int fill_dbv_ill_usererrrep(DbvUserErrorReport *psUserErrorReport);
int fill_dbv_ill_alreadyforw(DbvAlreadyForwarded *psAlreadyForwarded);
int fill_dbv_ill_interprob(DbvIntermediaryProblem *peIntermediaryProblem);
int fill_dbv_ill_unabletoperf(DbvUnableToPerform *peUnableToPerform);
int fill_dbv_ill_proverrrep(DbvProviderErrorReport *psProviderErrorReport);
int fill_dbv_ill_generalprob(DbvGeneralProblem *peGeneralProblem);
int fill_dbv_ill_transidprob(DbvTransactionIdProblem *peTransactionIdProblem); 
int fill_dbv_ill_statetranspro(DbvStateTransitionProhibited *psStateTransitionProblem);



int fill_DbvCOrder(DbvASN1External *external);
int fill_DbvCOrder_main(DbvCOrder *psCOrder);
int fill_DbvOrderRequest(DbvOrderRequest *psOrderRequest);
int fill_DbvNormalOrder(DbvNormalOrder *psNormalOrder);






#endif

