#ifndef api_origin_extend_h
#define api_origin_extend_h

#include "api_origin_includes.h"


int send_DbvExtendedServicesReq_DbvUpdateExtendedService(DbvAssocId *assoc_id, DbvAssociateState *assoc_state, DbvAssociateResult **assoc_res, DbvReleaseState *rel_state, DbvError **error);
int fill_DbvExtendedServiceReq_common(DbvExtendedServicesReq *psExtendedServicesReq);
int fill_DbvUpdateExtendedService(DbvASN1External *external);
int fill_DbvUpdateExtendedService_main(DbvUpdateExtendedService *psUpdateExtendedService);
int fill_DbvUpdateRequestPackage(DbvUpdateRequestPackage *psUpdateRequest);
int fill_dbv_originparttokeep(DbvOriginPartToKeep *psOriginPartToKeep);
int fill_dbv_supplied_rec(DbvSuppliedRecord *psSuppliedRecord);
int fill_dbv_record_id(DbvUpdtRecordId *psUpdtRecordId);
int fill_dbv_supp_id(DbvUpdtSupplementalId *psUpdtSupplementalId);
int fill_dbv_corr_info(DbvCorrelationInfo *psCorrelationInfo);
int fill_DbvUpdateTaskPackage(DbvUpdateTaskPackage *psUpdateResponse);
int fill_dbv_targetpart(DbvUpdateTargetPart *psTargetPart);
int fill_dbv_globaldiags(DbvUpdateTargetPart *psTargetPart);
int fill_dbv_taskpackrecs(DbvUpdateTargetPart *psTargetPart);
int fill_dbv_taskpackrec(DbvTaskPackageRecord *psTaskPackageRecord);
int fill_dbv_recordiag(DbvUpdtRecordOrDiag *psUpdtRecordOrDiag);
int fill_extend_req_othinfo_char(DbvOtherInformation *psOtherInformation);
int fill_extend_req_othinfo_bin(DbvOtherInformation *psOtherInformation);
int fill_extend_req_othinfo_ext(DbvOtherInformation *psOtherInformation);
int fill_extend_req_othinfo_obj(DbvOtherInformation *psOtherInformation);
int send_extendreq(DbvAssocId *assoc_id, DbvExtendedServicesReq *psExtendedServicesReq, DbvError **error);
int send_DbvExtendedServicesReq_DbvItemOrderExtendedService_DbvIllPdu(DbvAssocId *assoc_id, DbvAssociateState *assoc_state, DbvAssociateResult **assoc_res, DbvReleaseState *rel_state, DbvError **error);



int send_DbvExtendedServicesReq_DbvPrintExtendedService(DbvAssocId *assoc_id, DbvAssociateState *assoc_state, DbvAssociateResult **assoc_res, DbvReleaseState *rel_state, DbvError **error);
int fill_DbvPrintExtendedService(DbvASN1External *external);
int fill_DbvPrintExtendedService_main(DbvPrintExtendedService *psPrintExtendedService);
int fill_DbvPrintRequestPackage(DbvPrintRequestPackage *psPrintRequestPackage);
int fill_DbvPrintOriginPartToKeep(DbvPrintOriginPartToKeep *psOriginPartToKeep);
int fill_DbvCreateOption(DbvCreateOption *psCreateOption);
void fill_DbvResultSetReference(DbvResultSetReference *psResultSetReference);
void fill_DbvAddress(DbvAddress *psAddress);
void fill_DbvAccessionReference(DbvAccessionReference *psAccessionReference);
int fill_DbvDeleteOption(DbvDeleteOption *psDeleteOption);
int fill_DbvPrintTaskPackage(DbvPrintTaskPackage *psPrintResponse);
int fill_DbvPrintTargetPartToKeep(DbvPrintTargetPartToKeep *psTargetPart);
int send_DbvExtendedServicesReq_DbvAlertExtendedService(DbvAssocId *assoc_id, DbvAssociateState *assoc_state, DbvAssociateResult **assoc_res, DbvReleaseState *rel_state, DbvError **error);
int fill_DbvAlertExtendedService(DbvASN1External *external);
int fill_DbvAlertExtendedService_main(DbvAlertExtendedService *psAlertExtendedService);
int fill_DbvAlertRequestPackage(DbvAlertRequestPackage *psAlertRequest);
void fill_DbvAlertOriginPartToKeep(DbvAlertOriginPartToKeep *psOriginPartToKeep);
int fill_DbvAlertTaskPackage(DbvAlertTaskPackage *psAlertResponse);
int send_DbvExtendedServicesReq_DbvItemOrderExtendedService_DbvCOrder(DbvAssocId *assoc_id, DbvAssociateState *assoc_state, DbvAssociateResult **assoc_res, DbvReleaseState *rel_state, DbvError **error);




#endif

