#ifndef api_origin_search_h
#define api_origin_search_h

#include "api_origin_includes.h"

int send_srchreq_to_target(DbvAssocId *assoc_id, DbvAssociateState *assoc_state, DbvAssociateResult **assoc_res, DbvReleaseState *rel_state, DbvError **error, char *dbname);
int fill_search_request(DbvSearchReq *psSearchReq, char *dbname);
int fill_search_request_prepared(DbvSearchReq *psSearchReq, char *dbname);
int fill_search_request_default(DbvSearchReq *psSearchReq);
int fill_searchreq_v2style(DbvSearchReq *psSearchReq);
int fill_searchreq_v3style(DbvSearchReq *psSearchReq);
void fill_searchreq_DatabaseNames(DbvInternationalString **ppsDatabaseNames);
void fill_searchreq_SmallSetElementNames(DbvElementSetNames *psSmallSetElementNames);
void fill_searchreq_MediumSetElementNames(DbvElementSetNames *psMediumSetElementNames);
void fill_searchreq_Query(DbvQuery *psQuery);
int print_pre_query_blurb(void);
int fill_rpnstructure(DbvRPNStructure *psRpnStructure);
int fill_lopropop(DbvRPNLopRopOperator *psRpnLopRopOperator);
int fill_operand(DbvOperand *psRpnOperand);
int fill_resplusatts(DbvResultSetPlusAttributes *psResultSetPlusAttributes);
int fill_operator(DbvOperator *psOperator);
int fill_proximity(DbvProximityOperator *psProximityOperator);
int fill_proxunitcode(DbvProximityUnitCode *psProximityUnitCode);
void fill_searchreq_othinfo_char(DbvOtherInformation *psOtherInformation);
void fill_searchreq_othinfo_bin(DbvOtherInformation *psOtherInformation);
void fill_searchreq_othinfo_ext(DbvOtherInformation *psOtherInformation);
void fill_searchreq_othinfo_obj(DbvOtherInformation *psOtherInformation);


#endif

