#ifndef api_origin_sort_h
#define api_origin_sort_h

#include "api_origin_includes.h"


int	send_sortreq_to_target(DbvAssocId *assoc_id, DbvAssociateState *assoc_state, DbvAssociateResult **assoc_res, DbvReleaseState *rel_state, DbvError **error);
int fill_sort_request(DbvSortReq *psSortReq);
int fill_inressetnames_list(DbvInternationalString **ppsInputResultSetName);
int fill_sortsequence_list(DbvSortKeySpec **ppsSortSequence);
int fill_sortkeyspec(DbvSortKeySpec *psSortSequence);
int fill_sortelement(DbvSortElement *psSortElement);
int fill_sortkey(DbvSortKey *psGeneric);
int fill_sortatts(DbvSortAttributes *psSortAttributes);
int fill_specsortkey_list(DbvDbSpecificSortKey **ppsDatabaseSpecific);
int fill_specsortkey(DbvDbSpecificSortKey *psDatabaseSpecific);
int fill_sortmvaction(DbvSortMVAction *psMVActionType);
int fill_sortreq_othinfo_char(DbvOtherInformation *psOtherInformation);
int fill_sortreq_othinfo_bin(DbvOtherInformation *psOtherInformation);
int fill_sortreq_othinfo_ext(DbvOtherInformation *psOtherInformation);
int fill_sortreq_othinfo_obj(DbvOtherInformation *psOtherInformation);

#endif

