#ifndef api_pdu_print_h
#define api_pdu_print_h


#include "api_common_includes.h"


int print_initrsp_fields(FILE *f, DbvInitializeRsp *psInitializeRsp);
int print_init_response_refid(FILE *f, DbvInitializeRsp *psInitializeRsp);
int print_init_response_prover(FILE *f, DbvInitializeRsp *psInitializeRsp);
int print_init_response_options(FILE *f, DbvInitializeRsp *psInitializeRsp);
int print_init_response_prefmess(FILE *f, DbvInitializeRsp *psInitializeRsp);
int print_init_response_maxmess(FILE *f, DbvInitializeRsp *psInitializeRsp);
int print_init_response_result(FILE *f, DbvInitializeRsp *psInitializeRsp);
int print_init_response_impid(FILE *f, DbvInitializeRsp *psInitializeRsp);
int print_init_response_impname(FILE *f, DbvInitializeRsp *psInitializeRsp);
int print_init_response_impver(FILE *f, DbvInitializeRsp *psInitializeRsp);
int print_init_response_userinfo(FILE *f, DbvInitializeRsp *psInitializeRsp);
int print_init_response_otherinfo(FILE *f, DbvInitializeRsp *psInitializeRsp);
int print_searchrsp_fields(FILE *f, DbvSearchRsp *psSearchRsp);
int print_DbvResultSetStatus(FILE *f, DbvResultSetStatus *peResultSetStatus);
int print_presrsp_fields(FILE *f, DbvPresentRsp *psPresentRsp);
int print_presrsp_refid(FILE *f, DbvPresentRsp *psPresentRsp);
int print_presrsp_numrecs(FILE *f, DbvPresentRsp *psPresentRsp);
int print_presrsp_nxtresset(FILE *f, DbvPresentRsp *psPresentRsp);
int print_presrsp_presstat(FILE *f, DbvPresentRsp *psPresentRsp);
int print_presrsp_records(FILE *f, DbvPresentRsp *psPresentRsp);
int print_presrsp_otherinfo(FILE *f, DbvPresentRsp *psPresentRsp);
int print_delrsp_fields(FILE *f, DbvDeleteResultSetRsp *psDeleteResultSetRsp);
int print_delete_resp_refid(FILE *f, DbvDeleteResultSetRsp *psDeleteResultSetRsp);
int print_delete_resp_opstat(FILE *f, DbvDeleteResultSetRsp *psDeleteResultSetRsp);
int print_opstat(FILE *f, DbvDeleteSetStatus eDeleteOperationStatus);
int print_delete_resp_dellistat(FILE *f, DbvDeleteResultSetRsp *psDeleteResultSetRsp);
int print_liststat(FILE *f, DbvListStatus *psDeleteListStatuses);
int print_delete_resp_numnotdel(FILE *f, DbvDeleteResultSetRsp *psDeleteResultSetRsp);
int print_delete_resp_bulkstat(FILE *f, DbvDeleteResultSetRsp *psDeleteResultSetRsp);
int print_delete_resp_delmess(FILE *f, DbvDeleteResultSetRsp *psDeleteResultSetRsp);
int print_delete_resp_otherinfo(FILE *f, DbvDeleteResultSetRsp *psDeleteResultSetRsp);
int print_resreprsp_fields(FILE *f, DbvResourceReportRsp *psResourceReportRsp);
int print_resrep_resp_refid(FILE *f, DbvResourceReportRsp *psResourceReportRsp);
int print_resrep_resp_repstat(FILE *f, DbvResourceReportRsp *psResourceReportRsp);
int print_resrep_resp_resrep(FILE *f, DbvResourceReportRsp *psResourceReportRsp);
int print_resrep_resp_otherinfo(FILE *f, DbvResourceReportRsp *psResourceReportRsp);
int print_scanrsp_fields(FILE *f, DbvScanRsp *psScanRsp);
int print_scan_resp_refid(FILE *f, DbvScanRsp *psScanRsp);
int print_scan_resp_stepsz(FILE *f, DbvScanRsp *psScanRsp);
int print_scan_resp_scanstat(FILE *f, DbvScanRsp *psScanRsp);
int print_scan_resp_nument(FILE *f, DbvScanRsp *psScanRsp);
int print_scan_resp_posterm(FILE *f, DbvScanRsp *psScanRsp);
int print_scan_resp_entries(FILE *f, DbvScanRsp *psScanRsp);
int print_listentries(FILE *f, DbvListEntries *psEntries);
int print_entry_list(FILE *f, DbvEntry **ppsEntry);
int print_terminfo(FILE *f, DbvTermInfo *psTermInfo);
int print_attsplusterm_list(FILE *f, DbvAttributesPlusTerm **ppsAlternativeTerm);
int print_occurrbyatt_list(FILE *f, DbvOccurrenceByAttributes **ppsByAttributes);
int print_occurrbyatt(FILE *f, DbvOccurrenceByAttributes *psByAttributes);
int print_occurrence(FILE *f, DbvOccurrence *psOccurrence);
int print_occurbydb_list(FILE *f, DbvOccurrenceByDb **ppsOccurrenceByDb);
int print_occurbydb(FILE *f, DbvOccurrenceByDb *psOccurrenceByDb);
int print_scan_resp_attsetid(FILE *f, DbvScanRsp *psScanRsp);
int print_scan_resp_otherinfo(FILE *f, DbvScanRsp *psScanRsp);
int print_sortrsp_fields(FILE *f, DbvSortRsp *psSortRsp);
int print_sort_resp_refid(FILE *f, DbvSortRsp *psSortRsp);
int print_sort_resp_status(FILE *f, DbvSortRsp *psSortRsp);
int print_sort_resp_ressetstat(FILE *f, DbvSortRsp *psSortRsp);
int print_sort_resp_diags(FILE *f, DbvSortRsp *psSortRsp);
int print_sort_resp_otherinfo(FILE *f, DbvSortRsp *psSortRsp);
int print_extendrsp_fields(FILE *f, DbvExtendedServicesRsp *psExtendedServicesRsp);
int print_extend_resp_refid(FILE *f, DbvExtendedServicesRsp *psExtendedServicesRsp);
int print_extend_resp_opstat(FILE *f, DbvExtendedServicesRsp *psExtendedServicesRsp);
int print_extend_resp_diags(FILE *f, DbvExtendedServicesRsp *psExtendedServicesRsp);
int print_extend_resp_taskpack(FILE *f, DbvExtendedServicesRsp *psExtendedServicesRsp);
int print_extend_resp_otherinfo(FILE *f, DbvExtendedServicesRsp *psExtendedServicesRsp);
int print_closereq_fields(FILE *f, DbvCloseReq  *psCloseReq);
int print_close_request_refid(FILE *f, DbvCloseReq *psCloseReq);
int print_close_request_reason(FILE *f, DbvCloseReq *psCloseReq);
int print_close_request_diaginfo(FILE *f, DbvCloseReq *psCloseReq);
int print_close_request_resrepfmt(FILE *f, DbvCloseReq *psCloseReq);
int print_close_request_resrep(FILE *f, DbvCloseReq *psCloseReq);
int print_close_request_otherinfo(FILE *f, DbvCloseReq *psCloseReq);
int print_initreq_fields(FILE *f, DbvInitializeReq *psInitializeReq);
int print_init_request_refid(FILE *f, DbvInitializeReq *psInitializeReq);
int print_init_request_prover(FILE *f, DbvInitializeReq *psInitializeReq);
int print_init_request_options(FILE *f, DbvInitializeReq *psInitializeReq);
int print_init_request_prefmess(FILE *f, DbvInitializeReq *psInitializeReq);
int print_init_request_maxmess(FILE *f, DbvInitializeReq *psInitializeReq);
int print_init_request_idauth(FILE *f, DbvInitializeReq *psInitializeReq);
int print_initreq_idauth_open(FILE *f, DbvInitializeReq *psInitializeReq);
int print_initreq_idauth_pass(FILE *f, DbvInitializeReq *psInitializeReq);
int print_initreq_idauth_other(FILE *f, DbvInitializeReq *psInitializeReq);
int print_init_request_impid(FILE *f, DbvInitializeReq *psInitializeReq);
int print_init_request_impname(FILE *f, DbvInitializeReq *psInitializeReq);
int print_init_request_impver(FILE *f, DbvInitializeReq *psInitializeReq);
int print_init_request_userinfo(FILE *f, DbvInitializeReq *psInitializeReq);
int print_init_request_otherinfo(FILE *f, DbvInitializeReq *psInitializeReq);
int print_searchreq_fields(FILE *f, DbvSearchReq *psSearchReq);
int	print_DbvQuery(FILE *f, DbvQuery *psQuery);
int print_rpnquery(FILE *f, DbvRPNQuery *psRpnQuery);
int print_rpn_structure(FILE *f, DbvRPNStructure *psDbvRPNStructure);
int print_rpnlopropoperator(FILE *f, DbvRPNLopRopOperator *psDbvRPNLopRopOperator);
int print_operator(FILE *f, DbvOperator sOperator);
int print_proxoperator(FILE *f, DbvProximityOperator *psProximityOperator);
int print_proxunitcode(FILE *f, DbvProximityUnitCode sProximityUnitCode);
int print_rpnoperand(FILE *f, DbvOperand *psRpnOperand);
int print_resplusatts(FILE *f, DbvResultSetPlusAttributes *psResultSetPlusAttributes);
int print_presreq_fields(FILE *f, DbvPresentReq *psPresentReq);
int print_pres_request_refid(FILE *f, DbvPresentReq *psPresentReq);
int print_pres_request_ressetid(FILE *f, DbvPresentReq *psPresentReq);
int print_pres_request_ressetstart(FILE *f, DbvPresentReq *psPresentReq);
int print_pres_request_numrecsreq(FILE *f, DbvPresentReq *psPresentReq);
int print_pres_request_addranges(FILE *f, DbvPresentReq *psPresentReq);
int print_pres_request_reccomp(FILE *f, DbvPresentReq *psPresentReq);
int print_pres_comp_spec(FILE *f, DbvCompSpec *psCompSpec);
int print_pres_dbspecific(FILE *f, DbvDbSpecificComp **ppsDbSpecific);
int print_pres_recsyntax(FILE *f, DbvObjectIdentifier *ppcRecordSyntax);
int print_pres_request_prefrecsyn(FILE *f, DbvPresentReq *psPresentReq);
int print_pres_request_maxsegcnt(FILE *f, DbvPresentReq *psPresentReq);
int print_pres_request_maxrecsze(FILE *f, DbvPresentReq *psPresentReq);
int print_pres_request_maxsegsze(FILE *f, DbvPresentReq *psPresentReq);
int print_pres_request_otherinfo(FILE *f, DbvPresentReq *psPresentReq);
int print_delreq_fields(FILE *f, DbvDeleteResultSetReq *psDeleteResultSetReq);
int print_delete_request_refid(FILE *f, DbvDeleteResultSetReq *psDeleteResultSetReq);
int print_delete_request_delfunc(FILE *f, DbvDeleteResultSetReq *psDeleteResultSetReq);
int print_delete_request_ressetid(FILE *f, DbvDeleteResultSetReq *psDeleteResultSetReq);
int print_delete_request_otherinfo(FILE *f, DbvDeleteResultSetReq *psDeleteResultSetReq);
int print_resrepreq_fields(FILE *f, DbvResourceReportReq *psResourceReportReq);
int print_resrep_request_refid(FILE *f, DbvResourceReportReq *psResourceReportReq);
int print_resrep_request_opid(FILE *f, DbvResourceReportReq *psResourceReportReq);
int print_resrep_request_prefrepfmt(FILE *f, DbvResourceReportReq *psResourceReportReq);
int print_resrep_request_otherinfo(FILE *f, DbvResourceReportReq *psResourceReportReq);
int print_scanreq_fields(FILE *f, DbvScanReq *psScanReq);
int print_scan_request_refid(FILE *f, DbvScanReq *psScanReq);
int print_scan_request_dbnames(FILE *f, DbvScanReq *psScanReq);
int print_scan_request_attsetid(FILE *f, DbvScanReq *psScanReq);
int print_scan_request_attplustrm(FILE *f, DbvScanReq *psScanReq);
int print_scan_request_stepsize(FILE *f, DbvScanReq *psScanReq);
int print_scan_request_numterms(FILE *f, DbvScanReq *psScanReq);
int print_scan_request_prefpos(FILE *f, DbvScanReq *psScanReq);
int print_scan_request_otherinfo(FILE *f, DbvScanReq *psScanReq);
int print_sortreq_fields(FILE *f, DbvSortReq *psSortReq);
int print_sort_request_refid(FILE *f, DbvSortReq *psSortReq);
int print_sort_request_inresset(FILE *f, DbvSortReq *psSortReq);
int print_sort_request_sortedres(FILE *f, DbvSortReq *psSortReq);
int print_sort_request_sortseq(FILE *f, DbvSortReq *psSortReq);
int print_sortkeyspec(FILE *f, DbvSortKeySpec *psSortSequence);
int print_sortelement(FILE *f, DbvSortElement *psSortElement);
int print_sortkey(FILE *f, DbvSortKey *psGeneric);
int print_sortatts(FILE *f, DbvSortAttributes *psSortAttributes);
int print_dbspecific(FILE *f, DbvDbSpecificSortKey **ppsDatabaseSpecific);
int print_specsortkey(FILE *f, DbvDbSpecificSortKey *psDatabaseSpecific);
int print_sortrelation(FILE *f, DbvSortRelationType eSortRelationType);
int print_sortcase(FILE *f, DbvSortCaseType eSortCaseType);
int print_mvaction(FILE *f, DbvSortMVAction *psMVActionType);
int print_sort_request_otherinfo(FILE *f, DbvSortReq *psSortReq);
int print_segreq_fields(FILE *f, DbvSegmentReq *psSegmentReq);
int print_segreq_refid(FILE *f, DbvSegmentReq *psSegmentReq);
int print_segreq_numrecs(FILE *f, DbvSegmentReq *psSegmentReq);
int print_segreq_segrecs(FILE *f, DbvSegmentReq *psSegmentReq);
int print_segreq_otherinfo(FILE *f, DbvSegmentReq *psSegmentReq);
int print_extendreq_fields(FILE *f, DbvExtendedServicesReq *psExtendedServicesReq);
int print_extend_request_refid(FILE *f, DbvExtendedServicesReq *psExtendedServicesReq);
int print_extend_request_function(FILE *f, DbvExtendedServicesReq *psExtendedServicesReq);
int print_extend_request_packtype(FILE *f, DbvExtendedServicesReq *psExtendedServicesReq);
int print_extend_request_packname(FILE *f, DbvExtendedServicesReq *psExtendedServicesReq);
int print_extend_request_userid(FILE *f, DbvExtendedServicesReq *psExtendedServicesReq);
int print_extend_request_rettime(FILE *f, DbvExtendedServicesReq *psExtendedServicesReq);
int print_extend_request_permiss(FILE *f, DbvExtendedServicesReq *psExtendedServicesReq);
int print_extend_request_descrp(FILE *f, DbvExtendedServicesReq *psExtendedServicesReq);
int print_extend_request_orspec(FILE *f, DbvExtendedServicesReq *psExtendedServicesReq);
int print_extend_request_waction(FILE *f, DbvExtendedServicesReq *psExtendedServicesReq);
int print_extend_request_elements(FILE *f, DbvExtendedServicesReq *psExtendedServicesReq);
int print_extend_request_otherinfo(FILE *f, DbvExtendedServicesReq *psExtendedServicesReq);
void print_DbvASN1External(FILE *f, DbvASN1External *psASN1External);
int	print_external(FILE *f, DbvASN1External *external_ptr);
int	print_external_evaluetype(FILE *f, DbvExternalValueType eValueType);
int	print_singleasn1type_easn1type(FILE *f, DbvExternalValueType eASN1Type);
int print_singleasn1type_external(FILE *f, char *oid, DbvASN1External *external_ptr);
void print_external_with_oid(FILE *f, char *oid, DbvASN1External *external_ptr);
int print_external_with_int(FILE *f, DbvASN1External *external_ptr);
int	print_sutrs_external(FILE *f, DbvASN1External *external_ptr);
int	print_opac_external(FILE *f, DbvASN1External *external_ptr);
int print_holdings_data(FILE *f, DbvHoldingsRecord *psHoldingsData);
int print_holdings_bulk(FILE *f, DbvHoldingsAndCircData sHoldingsAndCirc);
int print_hold_volume(FILE *f, DbvHoldingsAndCircData sHoldingsAndCirc);
int print_hold_circ(FILE *f, DbvHoldingsAndCircData sHoldingsAndCirc);
int	print_summary_external(FILE *f, DbvASN1External *external_ptr);
int print_resrep1_external(FILE *f, DbvASN1External *external_ptr);
int print_estimate_type(FILE *f, DbvEstimateType eEstimateType);
int print_resrep2_external(FILE *f, DbvASN1External *external_ptr);
int print_estask_external(FILE *f, DbvASN1External *external_ptr);
int print_permissions(FILE *f, DbvPermissions **ppsPermissions);
int print_allowfuncts(FILE *f, DbvPermAllowableFunctions **ppeAllowableFunctions);
int print_update_external(FILE *f, DbvASN1External *external_ptr);
int print_update_request(FILE *f, DbvUpdateRequestPackage *psUpdateRequest);
int print_originparttokeep(FILE *f, DbvOriginPartToKeep *psOriginPartToKeep);
int print_action(FILE *f, DbvUpdtAction eAction);
int print_suppliedrecs(FILE *f, DbvSuppliedRecord **ppsSuppliedRecord);
int print_suppliedrec(FILE *f, DbvSuppliedRecord *psSuppliedRecord);
int print_recordid(FILE *f, DbvUpdtRecordId *psUpdtRecordId);
int print_suppid(FILE *f, DbvUpdtSupplementalId *psUpdtSupplementalId);
int print_correl_info(FILE *f, DbvCorrelationInfo *psCorrelationInfo);
int print_update_response(FILE *f, DbvUpdateTaskPackage *psUpdateResponse);
int print_targetpart(FILE *f, DbvUpdateTargetPart *psTargetPart);
int print_taskstatus(FILE *f, DbvUpdtTaskStatus eTaskStatus);
int print_taskpack_recs(FILE *f, DbvTaskPackageRecord **ppsTaskPackageRecord);
int print_taskpack_rec(FILE *f, DbvTaskPackageRecord *psTaskPackageRecord);
int print_recordiag(FILE *f, DbvUpdtRecordOrDiag *psUpdtRecordOrDiag);
int print_recstatus(FILE *f, DbvUpdtRecordStatus eUpdtRecordStatus);
int print_unknown_external(FILE *f, DbvASN1External *external_ptr);
int	print_arbitrary_external(FILE *f, DbvASN1External *external_ptr);
int	print_otherinfo(FILE *f, DbvOtherInformation **ppsOtherInformation);
int print_otherinfo_node(FILE *f, DbvOtherInformation *psOtherInformation);
int print_otherinfo_char(FILE *f, DbvInternationalString *psCharacterInfo);
int print_otherinfo_bin(FILE *f, DbvOctetString *psBinaryInfo);
int print_otherinfo_ext(FILE *f, DbvASN1External *psExternallyDefinedInfo);
int	print_otherinfo_obj(FILE *f, DbvObjectIdentifier pcObjectIdentifier);
int	print_otherinfo_infotype(FILE *f, DbvInformationType eInformationType);
int print_octet_string(FILE *f, DbvOctetString *octet_string);
void print_DbvInternationalString(FILE *f, char *name, DbvInternationalString *psInternationalString);
int print_inter_string(FILE *f, DbvInternationalString *inter_string);
int 	print_bool(FILE *f, DbvBool *bool);
int print_DbvPresentStatus(FILE *f, DbvPresentStatus *pePresentStatus);
int print_DbvElementSetNames(FILE *f, DbvElementSetNames *psElementSetNames);
int print_el_set_names(FILE *f, DbvElementSetNames *psElementSetNames);
int print_el_set_specific(FILE *f, DbvElementSetsDbSpecific **ppsElementSetsDbSpecific);
int	print_records(FILE *f, DbvRecords *psRecords);
int print_nameplusrec(FILE *f, DbvNamePlusRecord **ppsResponseRecord);
int print_diag_rec(FILE *f, DbvDiagRec *psSurrogateDiagnostic);
int print_default_diag(FILE *f, DbvDefaultDiagFormat *psDefault);
int print_fragment(FILE *f, DbvFragmentSyntax *psStartingFragment);
int print_additional_info(FILE *f, DbvAdditionalInfo sAdditionalInfo);
int print_diagrec_list(FILE *f, DbvDiagRec **diagrec_list);
int print_strornum(FILE *f, DbvStringOrNumeric *psList);
int print_intunit(FILE *f, DbvIntUnit *psIntegerAndUnit);
int print_unitused(FILE *f, DbvUnit sUnitUsed);
int print_attsplusterm(FILE *f, DbvAttributesPlusTerm *psAttributesPlusTerm);
int print_att_element(FILE *f, DbvAttributeElement *psAttributeElement);
int print_att_value(FILE *f, DbvAttributeValue sAttributeValue);
int print_complexval(FILE *f, DbvComplexValue *psComplexValue);
int print_att_term(FILE *f, DbvTerm sTerm);
int print_DbvSpecification(FILE *f, char *name, DbvSpecification *psSpecification);
int print_DbvElementSpec(FILE *f, char *name, DbvElementSpec *psElementSpec);
int print_specification(FILE *f, DbvSpecification *psGeneric);
int print_DbvElementSpec(FILE *f, char *name, DbvElementSpec *psElementSpec);
int print_attelmnt_list(FILE *f, DbvAttributeElement **ppsAttributeElement);
int print_invalidapdu(FILE *f, DbvOctetString *psInvalidAPDU);



#endif
