#ifndef api_pdu_print2_h
#define api_pdu_print2_h


#include "api_common_includes.h"


#define STRING_LEN      128
#define SML_BUFFER      64


int 
print_explain_external (FILE * f, DbvASN1External * external_ptr);
void 
print_DbvTargetInfo (FILE * f, DbvTargetInfo * psTargetInfo);
void
print_Ulong (FILE * f, Ulong * pulMaxResultSets);
void 
print_DbvCommonInfo (FILE * f, char *name, DbvCommonInfo * psCommonInfo);
void 
print_DbvGeneralizedTime (FILE * f, char *name, DbvGeneralizedTime psGeneralizedTime);
void 
print_DbvLanguageCode (FILE * f, char *name, DbvLanguageCode * psLanguageCode);
void 
printN_DbvHumanString (FILE * f, char *name,
		       DbvHumanString ** ppsHumanString);
void 
print_DbvHumanString (FILE * f, char *name, DbvHumanString * psHumanString);
void 
printN_DbvIconObject (FILE * f, char *name, DbvIconObject ** ppsIconObject);
void 
print_DbvIconObject (FILE * f, DbvIconObject * psIconObject);
void 
print_DbvBodyType (FILE * f, DbvBodyType * psBodyType);
void 
print_DbvBodyTypeType (FILE * f, DbvBodyTypeType * peBodyTypeType);
void 
print_DbvContactInfo (FILE * f, char *name, DbvContactInfo * psContactInfo);
void 
printN_DbvInternationalString (FILE * f, char *name, DbvInternationalString ** ppsInternationalString);
void 
printN_DbvDatabaseList (FILE * f, char *name, DbvDatabaseList ** ppsDbCombinations);
void 
print_DbvDatabaseList (FILE * f, char *name, DbvDatabaseList * psDbCombinations);
void 
printN_DbvNetworkAddress (FILE * f, char *name, DbvNetworkAddress ** ppsNetworkAddress);
void 
print_DbvNetworkAddress (FILE * f, char *name, DbvNetworkAddress * psNetworkAddress);
void 
print_DbvNetworkAddressType (FILE * f, DbvNetworkAddressType * peNetworkAddressType);
void 
print_DbvInterAddress (FILE * f, char *name, DbvInterAddress * psInterAddress);
void 
print_DbvOsiPresentationAddress (FILE * f, char *name, DbvOsiPresentationAddress * psOsiPresentationAddress);
void 
print_DbvOtherAddress (FILE * f, char *name, DbvOtherAddress * psOtherAddress);
void 
print_DbvAccessInfo (FILE * f, char *name, DbvAccessInfo * psAccessInfo);
void 
printN_DbvQueryTypeDetails (FILE * f, char *name, DbvQueryTypeDetails ** ppsQueryTypeDetails);
void 
print_DbvQueryTypeDetails (FILE * f, char *name,
			   DbvQueryTypeDetails * psQueryTypeDetails);
void 
print_DbvQueryTypeDetailsType (FILE * f, DbvQueryTypeDetailsType * peQueryTypeDetailsType);
void 
print_DbvPrivateCapabilities (FILE * f, DbvPrivateCapabilities * psPrivateCapabilities);
void 
printN_DbvOperators (FILE * f, DbvOperators ** ppsOperators);
void 
print_DbvOperators (FILE * f, DbvOperators * psOperators);
void 
printN_DbvSearchKey (FILE * f, DbvSearchKey ** ppsSearchKey);
void 
print_DbvSearchKey (FILE * f, DbvSearchKey * psSearchKey);
void 
printN_DbvHumanStringSeq (FILE * f, char *name, DbvHumanStringSeq ** ppsDescription);
void 
print_DbvHumanStringSeq (FILE * f, DbvHumanStringSeq * psHumanStringSeq);
void 
print_DbvRpnCapabilities (FILE * f, DbvRpnCapabilities * psRpnCapabilities);
void 
printN_Ulong (FILE * f, char *name, Ulong ** ppsUlong);
void 
print_DbvProximitySupport (FILE * f, DbvProximitySupport * psProximitySupport);
void 
printN_DbvUnitsSupported (FILE * f, DbvUnitsSupported ** ppsUnitsSupported);
void 
print_DbvUnitsSupported (FILE * f, DbvUnitsSupported * psUnitsSupported);
void 
print_DbvUnitsSupportedType (FILE * f, DbvUnitsSupportedType * peUnitsSupportedType);
void 
print_DbvPrivate (FILE * f, DbvPrivate * psPrivate);
void 
print_DbvIso8777Capabilities (FILE * f, DbvIso8777Capabilities * psIso8777Capabilities);
void 
printN_DbvObjectIdentifier (FILE * f, char *name, DbvObjectIdentifier * ppcObjectIdentifier);
void 
printN_DbvAccessRestrictions (FILE * f, DbvAccessRestrictions ** ppsAccessRestrictions);
void 
print_DbvAccessRestrictions (FILE * f, DbvAccessRestrictions * psAccessRestrictions);
void 
print_DbvAccessType (FILE * f, DbvAccessType * peAccessType);
void 
print_DbvCosts (FILE * f, DbvCosts * psCosts);
void 
print_DbvCharge (FILE * f, DbvCharge * psCharge);
void 
print_DbvUnit (FILE * f, DbvUnit * psPerWhat);
void 
printN_DbvOtherCharge (FILE * f, DbvOtherCharge ** ppsOtherCharge);
void 
print_DbvOtherCharge (FILE * f, DbvOtherCharge * psOtherCharge);
void 
print_DbvDatabaseInfo (FILE * f, DbvDatabaseInfo * psDatabaseInfo);
void 
print_DbvNull (FILE * f, char *name, DbvNull pvNull);
void 
printN_DbvDataBaseInfoSeq (FILE * f, char *name, DbvDataBaseInfoSeq ** ppsKeywords);
void 
print_DbvDataBaseInfoSeq (FILE * f, char *name, DbvDataBaseInfoSeq * psKeywords);
void 
print_DbvRecordCount (FILE * f, DbvRecordCount * psRecordCount);
void 
print_DbvRecordCountType (FILE * f, DbvRecordCountType * peRecordCountType);
void 
print_DbvSchemaInfo (FILE * f, DbvSchemaInfo * psSchemaInfo);
void 
print_DbvObjectIdentifier (FILE * f, char *name, DbvObjectIdentifier psObjectIdentifier);
void 
printN_DbvTagTypeMapping (FILE * f, char *name, DbvTagTypeMapping ** ppsTagTypeMapping);
void 
print_DbvTagTypeMapping (FILE * f, DbvTagTypeMapping * psTagTypeMapping);
void 
printN_DbvElementInfo (FILE * f, char *name, DbvElementInfo ** ppsElementInfo);
void 
print_DbvElementInfo (FILE * f, DbvElementInfo * psElementInfo);
void 
printN_DbvPath (FILE * f, DbvPath ** ppsPath);
void 
print_DbvPath (FILE * f, DbvPath * psPath);
void 
print_DbvElementDataType (FILE * f, DbvElementDataType * psElementDataType);
void 
print_DbvElementDataTypeType (FILE * f, DbvElementDataTypeType * peElementDataTypeType);
void 
print_DbvPrimitiveDataType (FILE * f, char *name, DbvPrimitiveDataType * pePrimitiveDataType);
void 
print_DbvPrimitiveDataTypeA (FILE * f, DbvPrimitiveDataType * pePrimitiveDataType);
void 
print_DbvTagSetInfo (FILE * f, DbvTagSetInfo * psTagSetInfo);
void 
printN_DbvElements (FILE * f, DbvElements ** ppsElements);
void 
print_DbvElements (FILE * f, DbvElements * psElements);
void 
print_DbvRecordSyntaxInfo (FILE * f, DbvRecordSyntaxInfo * psRecordSyntaxInfo);
void 
print_DbvAttributeSetInfo (FILE * f, DbvAttributeSetInfo * psAttributeSetInfo);
void 
printN_DbvAttributeType (FILE * f, DbvAttributeType ** ppsAttributeType);
void 
print_DbvAttributeType (FILE * f, DbvAttributeType * psAttributeType);
void 
printN_DbvAttributeDescription (FILE * f, DbvAttributeDescription ** ppsAttributeDescription);
void 
print_DbvAttributeDescription (FILE * f, DbvAttributeDescription * psAttributeDescription);
void 
printN_DbvStringOrNumeric (FILE * f, char *name, DbvStringOrNumeric ** ppsStringOrNumeric);
void 
print_DbvTermListInfo (FILE * f, DbvTermListInfo * psTermListInfo);
void 
printN_DbvTermList (FILE * f, DbvTermList ** ppsTermList);
void 
print_DbvTermList (FILE * f, DbvTermList * psTermList);
void 
print_DbvSearchCost (FILE * f, char *name, DbvSearchCost * peSearchCost);
void 
print_DbvSearchCostA (FILE * f, DbvSearchCost * peSearchCost);
void 
print_DbvExtendedServicesInfo (FILE * f, DbvExtendedServicesInfo * psExtendedServicesInfo);
void 
print_DbvExtendedServicesInfoInt (FILE * f,
		     DbvExtendedServicesInfoInt * peExtendedServicesInfoInt);
void 
print_DbvExtendedServicesInfoIntA (FILE * f, DbvExtendedServicesInfoInt * peExtendedServicesInfoInt);
void 
print_DbvAttributeDetails (FILE * f, DbvAttributeDetails * psAttributeDetails);
void 
printN_DbvAttributesBySet (FILE * f, DbvAttributesBySet ** ppsAttributesBySet);
void 
print_DbvAttributesBySet (FILE * f, DbvAttributesBySet * psAttributesBySet);
void 
printN_DbvAttributesByType (FILE * f, DbvAttributesByType ** ppsAttributesByType);
void 
print_DbvAttributesByType (FILE * f, DbvAttributesByType * psAttributesByType);
void 
print_DbvOmittedAttributeInterpretation (FILE * f, DbvOmittedAttributeInterpretation * psOmittedAttributeInterpretation);
void 
printN_DbvAttributeValues (FILE * f, DbvAttributeValues ** ppsAttributeValues);
void 
print_DbvAttributeValues (FILE * f, DbvAttributeValues * psAttributeValues);
void 
print_DbvTermListDetails (FILE * f, DbvTermListDetails * psTermListDetails);
void 
print_DbvAttributeCombinations (FILE * f, DbvAttributeCombinations * psAttributeCombinations);
void 
printN_DbvAttributeCombination (FILE * f, DbvAttributeCombination ** ppsLegalCombinations);
void 
print_DbvAttributeCombination (FILE * f, DbvAttributeCombination * psLegalCombinations);
void 
printN_DbvDbvAttributeOccurrence (FILE * f, DbvAttributeOccurrence ** ppsAttributeOccurrence);
void 
print_DbvDbvAttributeOccurrence (FILE * f, DbvAttributeOccurrence * psAttributeOccurrence);
void 
print_DbvAttributeOccurrenceChoice (FILE * f, DbvAttributeOccurrenceChoice * psAttributeOccurrenceChoice);
void 
print_DbvAttributeOccurrenceChoiceType (FILE * f, DbvAttributeOccurrenceChoiceType * peAttributeOccurrenceChoiceType);
void 
print_DbvScanInfo (FILE * f, DbvScanInfo * psScanInfo);
void 
printN_DbvTerm (FILE * f, char *name, DbvTerm ** ppsTerm);
void 
print_DbvTerm (FILE * f, DbvTerm * psTerm);
void 
print_DbvTermType (FILE * f, DbvTermType * peTermType);
void 
print_DbvElementSetDetails (FILE * f, DbvElementSetDetails * psElementSetDetails);
void 
printN_DbvDetailsPerElement (FILE * f, DbvDetailsPerElement ** ppsDetailsPerElement);
void 
print_DbvDetailsPerElement (FILE * f, DbvDetailsPerElement * psDetailsPerElement);
void 
print_DbvRecordTag (FILE * f, DbvRecordTag * psRecordTag);
void 
printN_DbvPathA (FILE * f, DbvPathA ** ppsPathA);
void 
print_DbvRetrievalRecordDetails (FILE * f, DbvRetrievalRecordDetails * psRetrievalRecordDetails);
void 
print_DbvSortDetails (FILE * f, DbvSortDetails * psSortDetails);
void 
printN_DbvSortKeys (FILE * f, DbvSortKeys ** ppsSortKeys);
void 
print_DbvSortKeys (FILE * f, DbvSortKeys * psSortKeys);
void 
printN_DbvSpecification (FILE * f, char *name, DbvSpecification ** ppsSpecification);
void 
print_DbvSortType (FILE * f, DbvSortType * psSortType);
void 
print_DbvSortTypeType (FILE * f, DbvSortTypeType * peSortTypeType);
void 
print_DbvCaseSensitivity (FILE * f, DbvCaseSensitivity * peCaseSensitivity);
void 
print_DbvProcessingInformation (FILE * f, DbvProcessingInformation * psProcessingInformation);
void 
print_DbvProcessingContext (FILE * f, DbvProcessingContext * peProcessingContext);
void 
print_DbvVariantSetInfo (FILE * f, DbvVariantSetInfo * psVariantSetInfo);
void 
printN_DbvVariantClass (FILE * f, DbvVariantClass ** ppsVariants);
void 
print_DbvVariantClass (FILE * f, DbvVariantClass * psVariants);
void 
printN_DbvVariantTypes (FILE * f, DbvVariantTypes ** ppsVariantTypes);
void 
print_DbvVariantTypes (FILE * f, DbvVariantTypes * psVariantTypes);
void 
print_DbvVariantValue (FILE * f, DbvVariantValue * psVariantValue);
void 
print_DbvValueSet (FILE * f, DbvValueSet * psValues);
void 
print_DbvValueSetType (FILE * f, DbvValueSetType * peValueSetType);
void 
print_DbvValueRange (FILE * f, DbvValueRange * psValueRange);
void 
print_DbvValueDescription (FILE * f, DbvValueDescription * psValueDescription);
void 
print_DbvValueDescriptionType (FILE * f, DbvValueDescriptionType * peValueDescriptionType);
void 
printN_DbvValueDescription (FILE * f, DbvValueDescription ** ppsEnumerated);
void 
print_DbvUnitInfo (FILE * f, DbvUnitInfo * psUnitInfo);
void 
printN_DbvUnitType (FILE * f, char *name, DbvUnitType ** ppsUnitTypes);
void 
print_DbvUnitType (FILE * f, DbvUnitType * psUnitTypes);
void 
printN_DbvUnits (FILE * f, char *name, DbvUnits ** ppsUnits);
void 
print_DbvUnits (FILE * f, DbvUnits * psUnits);
void 
print_DbvCategoryList (FILE * f, DbvCategoryList * psCategoryList);
void 
printN_DbvCategoryInfo (FILE * f, DbvCategoryInfo ** ppsCategories);
void 
print_DbvCategoryInfo (FILE * f, DbvCategoryInfo * psCategoryInfo);



int 
print_generic_external (FILE * f, DbvASN1External * external_ptr);



int 
print_itemorder_external (FILE * f, DbvASN1External * external_ptr);
int 
print_io_request (FILE * f, DbvEsIoRequest * psItemOrderRequest);
int 
print_io_originpartkeep (FILE * f, DbvEsIoOriginPartToKeep * psToKeep);
int 
print_io_contact (FILE * f, DbvEsIoContact * psContact);
int 
print_io_addbilling (FILE * f, DbvEsIoAdditionalBilling * psAdditionalBilling);
int 
print_io_paymethod (FILE * f, DbvEsIoPaymentMethod * psPaymentMethod);
int 
print_io_creditcardinfo (FILE * f, DbvEsIoCreditCardInfo * psCreditCardInfo);
int 
print_io_originpartnotkeep (FILE * f, DbvEsIoOriginPartNotToKeep * psNotToKeep);
int 
print_io_ressetitem (FILE * f, DbvEsIoResultSetItem * psResultSetItem);
int 
print_io_response (FILE * f, DbvEsIoTaskPackage * psItemOrderResponse);
int 
print_io_targetpart (FILE * f, DbvEsIoTargetPart * psTargetPart);
int 
print_io_auxstat (FILE * f, DbvEsIoAuxiliaryStatus * peAuxiliaryStatus);
int 
print_ill_external (FILE * f, DbvASN1External * external_ptr);
int 
print_ill_request (FILE * f, struct DbvIllRequest *psIllRequest);
int 
print_ill_protocolver (FILE * f, DbvIllProtocolVersion * peProtocolVersion);
int 
print_ill_transid (FILE * f, DbvTransactionId * psTransactionId);
int 
print_ill_systemid (FILE * f, DbvSystemId * psInitialRequesterId);
int 
print_ill_symbol (FILE * f, DbvPersonOrInstitutionSymbol * psSymbol);
int 
print_ill_perorinstsymtype (FILE * f, DbvPersOrInstSymbolType * peSymbolType);
int 
print_ill_illstring (FILE * f, DbvIllString * psSymbol);
int 
print_DbvGeneralString (FILE * f, DbvGeneralString * psGeneralString);
int 
print_ill_name (FILE * f, DbvNameOfPersonOrInstitution * psName);
int 
print_ill_nameofperorinst_type (FILE * f, DbvNameOfPersOrInstType * peNameType);
int 
print_ill_servdatetime (FILE * f, DbvServiceDateTime * psServiceDateTime);
int 
print_ill_datetime (FILE * f, DbvDateTime * psThisService);
int 
print_ill_transtype (FILE * f, DbvTransactionType * peTransactionType);
int 
print_ill_delivaddr (FILE * f, DbvDeliveryAddress * psDeliveryAddress);
int 
print_ill_postaladdr (FILE * f, DbvPostalAddress * psPostalAddress);
int 
print_ill_sysaddr (FILE * f, DbvSystemAddress * psElectronicAddress);
int 
print_ill_delivserv (FILE * f, DbvDeliveryService * psDeliveryService);
int 
print_ill_elecdelivservlist (FILE * f, DbvElectronicDeliveryService ** ppsElectronicDelivery);
int 
print_ill_elecdelivserv (FILE * f, DbvElectronicDeliveryService * psElectronicDelivery);
int 
print_ill_eldelivparam (FILE * f, DbvElDeliveryParameter * psDeliveryParameter);
int 
print_ill_doctypeparam (FILE * f, DbvDocumentTypeParameter * psDocumentTypeParameter);
int 
print_ill_eldelivdetails (FILE * f, DbvElDeliveryDetails * psDeliveryDetails);
int 
print_ill_servtypelist (FILE * f, DbvServiceType ** ppeServiceType);
int 
print_ill_servtype (FILE * f, DbvServiceType * peServiceType);
int 
print_ill_reqoptmsg (FILE * f, DbvRequesterOptionalMessages * psRequesterOptionalMessages);
int 
print_ill_optmsgreq (FILE * f, DbvOptionalMsgRequirements * peRequesterCheckedIn);
int 
print_ill_searchtype (FILE * f, DbvSearchType * psSearchType);
int 
print_ill_expflag (FILE * f, DbvExpiry * peExpiryFlag);
int 
print_ill_suppmedlist (FILE * f, DbvSupplyMediumInfo ** ppsSupplyMediumInfo);
int 
print_ill_suppmed (FILE * f, DbvSupplyMediumInfo * psSupplyMediumInfo);
int 
print_ill_suppmedinfo (FILE * f, DbvSupplyMediumType * peSupplyMediumType);
int 
print_ill_placeonhold (FILE * f, DbvPlaceOnHold * pePlaceOnHold);
int 
print_ill_clientid (FILE * f, DbvClientId * psClientId);
int 
print_ill_itemid (FILE * f, DbvItemId * psItemId);
int 
print_ill_itemtype (FILE * f, DbvItemType * peItemType);
int 
print_ill_mediumtype (FILE * f, DbvMediumType * peMediumType);
int 
print_ill_suppdesc (FILE * f, DbvASN1External ** ppsSupplementalItemDescription);
int 
print_ill_costinfo (FILE * f, DbvCostInfo * psCostInfo);
int 
print_ill_amount (FILE * f, DbvAmount * psMaximumCost);
int 
print_ill_thirdparty (FILE * f, DbvThirdPartyInfo * psThirdPartyInfo);
int 
print_ill_preference (FILE * f, DbvPreference * pePreference);
int 
print_ill_sendtolistlist (FILE * f, DbvSendToList ** ppsSendToList);
int 
print_ill_sendtolist (FILE * f, DbvSendToList * psSendToList);
int 
print_ill_systemidlist (FILE * f, DbvSystemId ** ppsAlreadyTriedList);
int 
print_ill_extensionlist (FILE * f, DbvExtension ** ppsRequestExtension);
int 
print_ill_extension (FILE * f, DbvExtension * psRequestExtension);
int 
print_illext_subito (FILE * f, DbvSubitoAdditionalInfo * psAddIllReqInfo);
int 
print_illext_subito_request (FILE * f, DbvAddRequesterInfo * psAddRequesterInfo);
int 
print_visible_string (FILE * f, DbvVisibleString pcRequesterEmailAddress);
int 
print_illext_subito_requestergroup (FILE * f, DbvRequesterGroup * peRequesterGroup);
int 
print_illext_subito_deliver (FILE * f, DbvAddDeliveryInfo * psAddDeliveryInfo);
int 
print_unsigned_long (FILE * f, Ulong * pulNumberOfCopies);
int 
print_illext_subito_statusleveluser (FILE * f, DbvStatusLevelUser * peStatusLevelUser);
int 
print_illext_subito_statuslevelerequester (FILE * f, DbvStatusLevelRequester * peStatusLevelOrigin);
int 
print_illext_subito_billing (FILE * f, DbvAddBillingInfo * psAddBillingInfo);
int 
print_illext_subito_billingbankinfo (FILE * f, DbvBillingBankInfo * psBillingBankInfo);
int 
print_illext_subito_billingcreditcardinfo (FILE * f, DbvBillingCreditCardInfo * psBillingCreditCardInfo);
int 
print_illext_subito_billinginvoicetype (FILE * f, DbvBillingInvoiceType eBillingInvoiceType);
int 
print_ill_statorerr (FILE * f, struct DbvStatusOrErrorReport *psStatusOrErrorReport);
int 
print_ill_reasnorep (FILE * f, DbvReasonNoReport * peReasonNoReport);
int 
print_ill_statrep (FILE * f, DbvStatusReport * psStatusReport);
int 
print_ill_histrep (FILE * f, DbvHistoryReport * psUserStatusReport);
int 
print_ill_mostrecserv (FILE * f, DbvMostRecentService * peMostRecentService);
int 
print_ill_shippedservtype (FILE * f, DbvShippedServiceType * peShippedServiceType);
int 
print_ill_transres (FILE * f, DbvTransactionResults * peTransactionResults);
int 
print_ill_provstat (FILE * f, DbvCurrentState * peProviderStatusReport);
int 
print_ill_errrep (FILE * f, DbvErrorReport * psErrorReport);
int 
print_ill_userorprovrrrep (FILE * f, DbvUserOrProviderErrorReport * psReport);
int 
print_ill_usererrrep (FILE * f, DbvUserErrorReport * psUserErrorReport);
int 
print_ill_alreadyforw (FILE * f, DbvAlreadyForwarded * psAlreadyForwarded);
int 
print_ill_intermed (FILE * f, DbvIntermediaryProblem * peIntermediaryProblem);
int 
print_ill_unabletoper (FILE * f, DbvUnableToPerform * peUnableToPerform);
int 
print_ill_proverrrep (FILE * f, DbvProviderErrorReport * psProviderErrorReport);
int 
print_ill_genprob (FILE * f, DbvGeneralProblem * peGeneralProblem);
int 
print_ill_transidprob (FILE * f, DbvTransactionIdProblem * peTransactionIdProblem);
int 
print_ill_statetransprohib (FILE * f, DbvStateTransitionProhibited * psStateTransitionProblem);
int 
print_ill_apdutype (FILE * f, DbvIllAPDUType * peAPDUType);
int 
print_aligned_external (FILE * f, DbvASN1External * external_ptr);
int 
print_intmaptest_external (FILE * f, DbvASN1External * external_ptr);
void 
print_accessrsp_fields (FILE * f, DbvAccessControlRsp * psAccessControlRsp);
void 
print_DbvAccessControlRsp_psReferenceId (FILE * f, DbvAccessControlRsp * psAccessControlRsp);
void 
print_DbvAccessControlRsp_psSecurityChallengeRsp (FILE * f, DbvAccessControlRsp * psAccessControlRsp);
void 
print_DbvAccessControlRsp_psDiagnostic (FILE * f, DbvAccessControlRsp * psAccessControlRsp);
void 
print_DbvAccessControlRsp_ppsOtherInformation (FILE * f, DbvAccessControlRsp * psAccessControlRsp);
void 
print_rescntrlrsp_fields (FILE * f, DbvResourceControlRsp * psResourceControlRsp);
void 
print_DbvResourceControlRsp_psReferenceId (FILE * f, DbvResourceControlRsp * psResourceControlRsp);
void 
print_DbvResourceControlRsp_fContinueFlag (FILE * f, DbvResourceControlRsp * psResourceControlRsp);
void 
print_DbvResourceControlRsp_pfResultSetWanted (FILE * f, DbvResourceControlRsp * psResourceControlRsp);
void 
print_DbvResourceControlRsp_ppsOtherInformation (FILE * f, DbvResourceControlRsp * psResourceControlRsp);
void 
print_trigrescntrlreq_fields (FILE * f, DbvTriggerResourceControlReq * psTriggerResourceControlReq);
void 
print_DbvTriggerResourceControlReq_psReferenceId (FILE * f, DbvTriggerResourceControlReq * psTriggerResourceControlReq);
void 
print_DbvTriggerResourceControlReq_eRequestedAction (FILE * f, DbvTriggerResourceControlReq * psTriggerResourceControlReq);
void 
print_DbvTriggerResourceControlReq_pcPreferredResourceReportFormat (FILE * f, DbvTriggerResourceControlReq * psTriggerResourceControlReq);
void 
print_DbvObjectIdentifierA (FILE * f, DbvObjectIdentifier pcPreferredResourceReportFormat);
void 
print_DbvTriggerResourceControlReq_pfResultSetWanted (FILE * f, DbvTriggerResourceControlReq * psTriggerResourceControlReq);
void 
print_DbvTriggerResourceControlReq_ppsOtherInformation (FILE * f, DbvTriggerResourceControlReq * psTriggerResourceControlReq);
void 
print_accessreq_fields (FILE * f, DbvAccessControlReq * psAccessControlReq);
void 
print_DbvAccessControlReq_psReferenceId (FILE * f, DbvAccessControlReq * psAccessControlReq);
void 
print_DbvAccessControlReq_psSecurityChallengeReq (FILE * f, DbvAccessControlReq * psAccessControlReq);
void 
print_DbvAccessControlReq_ppsOtherInformation (FILE * f, DbvAccessControlReq * psAccessControlReq);
void 
print_rescntrlreq_fields (FILE * f, DbvResourceControlReq * psResourceControlReq);
void 
print_DbvResourceControlReq_psReferenceId (FILE * f, DbvResourceControlReq * psResourceControlReq);
void 
print_DbvResourceControlReq_pfSuspendedFlag (FILE * f, DbvResourceControlReq * psResourceControlReq);
void 
print_DbvResourceControlReq_psResourceReport (FILE * f, DbvResourceControlReq * psResourceControlReq);
void 
print_DbvResourceControlReq_pePartialResultsAvailable (FILE * f, DbvResourceControlReq * psResourceControlReq);
void 
print_DbvResourceControlReq_fResponseRequired (FILE * f, DbvResourceControlReq * psResourceControlReq);
void 
print_DbvResourceControlReq_pfTriggeredRequestFlag (FILE * f, DbvResourceControlReq * psResourceControlReq);
void 
print_DbvResourceControlReq_ppsOtherInformation (FILE * f, DbvResourceControlReq * psResourceControlReq);
void 
print_DbvPromptObject_external (FILE * f, DbvASN1External * external_ptr);
void 
print_DbvPromptObject (FILE * f, struct DbvPromptObject *psPromptObject);
void 
print_DbvChallenge_list (FILE * f, DbvChallenge ** ppsChallenge);
void 
print_DbvChallenge (FILE * f, DbvChallenge * psChallenge);
void 
print_DbvPromptId (FILE * f, DbvPromptId * psPromptId);
void 
print_DbvEnumeratedPrompt (FILE * f, DbvEnumeratedPrompt * psEnumeratedPrompt);
void 
print_DbvEPromptIdType (FILE * f, DbvEPromptIdType * peType);
void 
print_DbvPromptInfo (FILE * f, DbvPromptInfo * psPromptInfo);
void 
print_DbvEncryption (FILE * f, DbvEncryption * psEncrypted);
void 
print_DbvDataType (FILE * f, DbvDataType * peDataType);
void 
print_DbvResponse_list (FILE * f, DbvResponse ** ppsResponse);
void 
print_DbvResponse (FILE * f, DbvResponse * psResponse);
void 
print_DbvPromptResponse (FILE * f, DbvPromptResponse * psPromptResponse);
int 
print_as_hex (FILE * f, char *ber_data, unsigned long length);
char 
to_hex (char eightBits);



void 
print_DbvPrintExtendedService_external (FILE * f, DbvASN1External * external_ptr);
void 
print_DbvPrintExtendedService (FILE * f, DbvPrintExtendedService * psPrintExtendedService);
void 
print_DbvPrintReqOrRsp (FILE * f, DbvPrintReqOrRsp * pePrintReqRsp);
void 
print_DbvPrintRequestPackage (FILE * f, DbvPrintRequestPackage * psPrintRequest);
void 
print_DbvPrintOriginPartToKeep (FILE * f, DbvPrintOriginPartToKeep * psOriginPartToKeep);
void 
print_DbvPrintOriginPartToKeepType (FILE * f, DbvPrintOriginPartToKeepType * pePrintOriginPartToKeepType);
void 
print_DbvCreateOption (FILE * f, DbvCreateOption * psCreateOption);
void 
print_DbvCreateOptionType (FILE * f, DbvCreateOptionType * peCreateOptionType);
void 
print_DbvResultSetReference (FILE * f, DbvResultSetReference * psResultSetReference);
void 
print_DbvAddress (FILE * f, char * name, DbvAddress * psAddress);
void 
print_DbvAccessionReference (FILE * f, DbvAccessionReference * psAccessionReference);



void 
printN_DbvRange (FILE * f, char *name, DbvRange ** ppsAdditionalRanges);
void 
print_DbvRange (FILE * f, char *name, DbvRange * psAdditionalRanges);
void 
print_DbvRecordComposition (FILE * f, DbvRecordComposition * psRecordComposition);
int 
print_pres_comp_spec (FILE * f, DbvCompSpec * psCompSpec);
int 
print_pres_dbspecific (FILE * f, DbvDbSpecificComp ** ppsDbSpecific);
int 
print_pres_recsyntax (FILE * f, DbvObjectIdentifier * ppcRecordSyntax);



void 
print_DbvDeleteOption (FILE * f, DbvDeleteOption * psDeleteOption);
void 
print_DbvPrintTaskPackage (FILE * f, DbvPrintTaskPackage * psPrintResponse);
void 
print_DbvPrintTargetPartToKeep (FILE * f, char *name, DbvPrintTargetPartToKeep * psTargetPart);
void 
print_DbvAlertExtendedService_external (FILE * f, DbvASN1External * external_ptr);
void 
print_DbvAlertExtendedService (FILE * f, DbvAlertExtendedService * psAlertExtendedService);
void 
print_DbvAlertReqOrRsp (FILE * f, DbvAlertReqOrRsp * peAlertReqRsp);
void 
print_DbvAlertRequestPackage (FILE * f, DbvAlertRequestPackage * psAlertRequest);
void print_DbvAlertOriginPartToKeep(FILE *f, DbvAlertOriginPartToKeep *psOriginPartToKeep);
void 
print_DbvAlertTaskPackage (FILE * f, DbvAlertTaskPackage * psAlertResponse);
void 
print_DbvCOrder_external (FILE * f, DbvASN1External * external_ptr);
void 
print_DbvCOrder (FILE * f, DbvCOrder * psCOrder);
void 
print_DbvCOrderType (FILE * f, DbvCOrderType * peCOrderType);
void 
print_DbvOrderRequest (FILE * f, DbvOrderRequest * psOrderRequest);
void 
print_DbvOrderRequestType (FILE * f, DbvOrderRequestType * peOrderRequestType);
void 
print_DbvNormalOrder (FILE * f, DbvNormalOrder * psNormalOrder);
void 
print_DbvCharSetAndLanguage (FILE * f, DbvCharSetAndLanguage * psCharSetAndLanguage);
void print_DbvCharSetAndLanguage_external(FILE *f, DbvASN1External *external_ptr);
void 
print_DbvCharSetAndLanguageType (FILE * f, DbvCharSetAndLanguageType * peCharSetAndLanguageType);
void 
print_DbvOriginProposal (FILE * f, DbvOriginProposal * psProposal);
void 
printN_DbvProposedCharSet (FILE * f, DbvProposedCharSet ** ppsProposedCharSets);
void 
print_DbvProposedCharSet (FILE * f, DbvProposedCharSet * psProposedCharSet);
void 
print_DbvProposedCharSetType (FILE * f, DbvProposedCharSetType * peProposedCharSetType);
void 
print_DbvIso2022 (FILE * f, DbvIso2022 * psIso2022);
void 
print_DbvIso2022Type (FILE * f, DbvIso2022Type * peIso2022Type);
void 
print_DbvIso2022Proposal (FILE * f, DbvIso2022Proposal * psOriginProposal);
void 
print_DbvEnvironment (FILE * f, char *name, DbvEnvironment * psProposedEnvironment);
void 
print_DbvEnvironmentType (FILE * f, DbvEnvironmentType * peEnvironmentType);
void 
print_DbvLeftAndRight (FILE * f, char * name, DbvLeftAndRight * psProposedLeftAndRight);
void 
printN_DbvInitialSet (FILE * f, DbvInitialSet ** ppsProposedInitialSets);
void 
print_DbvInitialSet (FILE * f, char * name, DbvInitialSet * psProposedInitialSets);
void 
print_DbvIso2022Response (FILE * f, DbvIso2022Response * psTargetResponse);
void 
print_DbvIso10646 (FILE * f, DbvIso10646 * psIso10646);
void 
print_DbvPrivateCharacterSet (FILE * f, DbvPrivateCharacterSet * psPrivate);
void 
print_DbvPrivateCharacterSetType (FILE * f, DbvPrivateCharacterSetType * pePrivateCharacterSetType);
void 
printN_DbvLanguageCode (FILE * f, DbvLanguageCode ** ppsProposedLangauages);
void 
print_DbvTargetResponse (FILE * f, DbvTargetResponse * psResponse);
void 
print_DbvSelectedCharSet (FILE * f, DbvSelectedCharSet * psSelectedCharSets);
void 
print_DbvSelectedCharSetType (FILE * f, DbvSelectedCharSetType * peSelectedCharSetType);





#endif
