#ifndef apitesttargetslave_h
#define apitesttargetslave_h

#include "api_target_includes.h"

/* Number of arguments required to start apitesttargetslave correctly */
#define VALID_ARG_NUM 3

#define ARG_ERROR "\n\
Error - This program MUST NOT be run directly.\n\
This program is run automatically by Daemon programs\n\
\n\
a) target_tcpip (TCP/IP) and\n\
b) tsapd [or iaed] (OSI)\n\
\n\
whenever they receive a connection from an origin.\n\
\n\
To start target_tcpip\n\
1) cd ../targetd\n\
2) ./targetd_tcpip\n\
\n"
 

int main(int, char **);
int dummy(void);
int setup_gdb(char **argv);
int main_code(int assoc_id);
int FreeSIErrorCode(DbvError **ppsError);
int get_apdu_choice(void);
int print_target_fields(FILE *f, DbvTargetData *psTargetData);
int abort_connection_to_origin(DbvAssocId lAssocId, DbvError **ppsError);
int PrivateErrorHandling(DbvError **ppsError);

#endif
