/*  Module Name: @(#)free_code.h	7.1
    Version: 11/15/96
    Author: 
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description: 
*/

#ifndef free_code_h
#define free_code_h

#include "z3950_includes.h"



/* From testtools Free_DbvFuncs.h */
/* The  bellow is here incase the DbvRequesterOptionalMessages */
/* structure changes and you need to free something but for the mo   */
/* it results in a null line                                         */


#define DBVFree_compulsory_DbvRequesterOptionalMessages( a )



int 
SIFreeDbvOriginData (DbvOriginData ** ppsOriginData);
int 
SIFreeDbvTargetData (DbvTargetData ** ppsTargetData);
int 
SIFreeDbvInitializeReq (DbvInitializeReq ** ppsInitializeReq);
int 
SIFreeDbvSearchReq (DbvSearchReq ** ppsSearchReq);
int 
SIFreeDbvPresentReq (DbvPresentReq ** ppsPresentReq);
int 
SIFreeDbvDeleteResultSetReq (DbvDeleteResultSetReq ** ppsDeleteResultSetReq);
int 
SIFreeDbvScanReq (DbvScanReq ** ppsScanReq);
int 
SIFreeDbvResourceReportReq (DbvResourceReportReq ** ppsResourceReportReq);
int 
SIFreeDbvSortReq (DbvSortReq ** ppsSortReq);
int 
SIFreeDbvExtendedServicesReq (DbvExtendedServicesReq ** ppsExtendedServicesReq);
int 
SIFreeDbvCloseReq (DbvCloseReq ** ppsCloseReq);
int 
SIFreeDbvOctetString (DbvOctetString ** ppsOctetString);
int 
SIFreeDbvAccessControlRsp (DbvAccessControlRsp ** ppsAccessControlRsp);
int 
SIFreeDbvResourceControlRsp (DbvResourceControlRsp ** ppsResourceControlRsp);
int 
SIFreeDbvTriggerResourceControlReq (DbvTriggerResourceControlReq ** ppsTriggerResourceControlReq);
int 
SIFreeDbvInitializeRsp (DbvInitializeRsp ** ppsInitializeRsp);
int 
SIFreeDbvSearchRsp (DbvSearchRsp ** ppsSearchRsp);
int 
SIFreeDbvPresentRsp (DbvPresentRsp ** ppsPresentRsp);
int 
SIFreeDbvDeleteResultSetRsp (DbvDeleteResultSetRsp ** ppsDeleteResultSetRsp);
int 
SIFreeDbvScanRsp (DbvScanRsp ** ppsScanRsp);
int 
SIFreeDbvResourceReportRsp (DbvResourceReportRsp ** ppsResourceReportRsp);
int 
SIFreeDbvSegmentReq (DbvSegmentReq ** ppsSegmentReq);
int 
SIFreeDbvSortRsp (DbvSortRsp ** ppsSortRsp);
int 
SIFreeDbvExtendedServicesRsp (DbvExtendedServicesRsp ** ppsExtendedServicesRsp);
int 
SIFreeDbvAccessControlReq (DbvAccessControlReq ** ppsAccessControlReq);
int 
SIFreeDbvResourceControlReq (DbvResourceControlReq ** ppsResourceControlReq);
void 
DBVFreeDbvOriginData (DbvOriginData * psOriginData);
void 
DBVFreeDbvTargetData (DbvTargetData * psTargetData);
void 
DBVFreeDbvInitializeRsp (DbvInitializeRsp * psInitializeRsp);
void 
DBVFreeDbvInitializeReq (DbvInitializeReq * psInitializeReq);
void 
DBVFreeDbvOctetString (DbvOctetString * psOctetString);
void 
DBVFree_compulsory_DbvOctetString (DbvOctetString * psOctetString);
void 
DBVFreeDbvProtocolVersion (DbvProtocolVersion pcProtocolVersion);
void 
DBVFreeDbvOptions (DbvOptions pcOptions);
void 
DBVFreeDbvInternationalString (DbvInternationalString * psInternationalString);
void 
DBVFreeDbvObjectIdentifier (DbvObjectIdentifier pcObjectIdentifier);
void 
DBVFreeDbvOtherInformation (DbvOtherInformation * psOtherInformation);
void 
DBVFreeDbvInfoCategory (DbvInfoCategory * psInfoCategory);
void 
DBVFreeDbvIdPassword (DbvIdPassword * psIdPassword);
void 
DBVFreeDbvAuthentication (DbvAuthentication * psAuthentication);
void 
DBVFree_compulsory_DbvAdditionalInfo (DbvAdditionalInfo * psAdditionalInfo);
void 
DBVFree_compulsory_DbvAttributeValue (DbvAttributeValue * psAttributeValue);
void 
DBVFree_compulsory_DbvHoldingsAndCircData (DbvHoldingsAndCircData
					   * psHoldingsAndCircData);
void 
DBVFree_compulsory_DbvInternationalString (DbvInternationalString
					   * psInternationalString);
void 
DBVFree_compulsory_DbvOriginPartToKeep (DbvOriginPartToKeep
					* psOriginPartToKeep);
void 
DBVFree_compulsory_DbvTerm (DbvTerm * psTerm);
void 
DBVFree_compulsory_DbvUnit (DbvUnit * psUnit);
void 
DBVFree_compulsory_DbvUpdateTargetPart (DbvUpdateTargetPart
					* psUpdateTargetPart);
void 
DBVFree_compulsory_DbvSpecification (DbvSpecification * psSpecification);
void 
DBVFree_compulsory_DbvEsIoTargetPart (DbvEsIoTargetPart * psEsIoTargetPart);
void 
DBVFree_compulsory_DbvIllString (DbvIllString * psIllString);
void 
DBVFree_compulsory_DbvDateTime (DbvDateTime * psDateTime);
void 
DBVFree_compulsory_DbvUserOrProviderErrorReport (
		 DbvUserOrProviderErrorReport * psUserOrProviderErrorReport);
void 
DBVFree_compulsory_DbvHistoryReport (DbvHistoryReport * psHistoryReport);
void 
DBVFree_compulsory_DbvItemId (DbvItemId * psItemId);
void 
DBVFree_compulsory_DbvElDeliveryDetails (
				 DbvElDeliveryDetails * psElDeliveryDetails);
void 
DBVFree_compulsory_DbvSystemId (DbvSystemId * psSystemId);
void 
DBVFree_compulsory_DbvTransactionId (DbvTransactionId * psTransactionId);
void 
DBVFree_compulsory_DbvServiceDateTime (DbvServiceDateTime * psServiceDateTime);
void 
DBVFree_compulsory_DbvEsIoPaymentMethod (
				 DbvEsIoPaymentMethod * psEsIoPaymentMethod);
void 
DBVFree_compulsory_DbvEsIoOriginPartNotToKeep (
		     DbvEsIoOriginPartNotToKeep * psEsIoOriginPartNotToKeep);
void 
DBVFree_compulsory_DbvCharge (DbvCharge * psCharge);
void 
DBVFree_compulsory_DbvBodyType (DbvBodyType * psBodyType);
void 
DBVFree_compulsory_DbvAttributeOccurrenceChoice (
		 DbvAttributeOccurrenceChoice * psAttributeOccurrenceChoice);
void 
DBVFree_compulsory_DbvElementDataG (DbvElementDataG * psElementDataG);
void 
DBVFree_compulsory_DbvSecurityChallengeReq (DbvSecurityChallengeReq * psSecurityChallengeReq);
void 
DBVFree_compulsory_DbvPromptId (DbvPromptId * psPromptId);
void 
DBVFree_compulsory_DbvPromptResponse (DbvPromptResponse * psPromptResponse);
void 
FreeN_DbvAttributeElement (DbvAttributeElement ** ppsAttributeElement);
void 
FreeN_DbvAttributesPlusTerm (DbvAttributesPlusTerm
			     ** ppsAttributesPlusTerm);
void 
FreeN_DbvCircRecord (DbvCircRecord ** ppsCircRecord);
void 
FreeN_DbvDiagRec (DbvDiagRec ** ppsDiagRec);
void 
FreeN_DbvElementSetsDbSpecific (DbvElementSetsDbSpecific
				** ppsElementSetsDbSpecific);
void 
FreeN_DbvEntry (DbvEntry ** ppsEntry);
void 
FreeN_DbvEstimate1 (DbvEstimate1 ** ppsEstimate1);
void 
FreeN_DbvEstimate2 (DbvEstimate2 ** ppsEstimate2);
void 
FreeN_DbvFormatSpec (DbvFormatSpec ** ppsFormatSpec);
void 
FreeN_DbvHoldingsRecord (DbvHoldingsRecord ** ppsHoldingsRecord);
void 
FreeN_DbvInternationalString (DbvInternationalString
			      ** ppsInternationalString);
void 
FreeN_DbvListStatus (DbvListStatus ** ppsListStatus);
void 
FreeN_DbvNamePlusRecord (DbvNamePlusRecord ** ppsNamePlusRecord);
void 
FreeN_DbvOccurrenceByDb (DbvOccurrenceByDb ** ppsOccurrenceByDb);
void 
FreeN_DbvPermAllowableFunctions (DbvPermAllowableFunctions
				 ** ppePermAllowableFunctions);
void 
FreeN_DbvPermissions (DbvPermissions ** ppsPermissions);
void 
FreeN_DbvRange (DbvRange ** ppsRange);
void 
FreeN_DbvSortKeySpec (DbvSortKeySpec ** ppsSortKeySpec);
void 
FreeN_DbvStringOrNumeric (DbvStringOrNumeric ** ppsStringOrNumeric);
void 
FreeN_DbvSuppliedRecord (DbvSuppliedRecord ** ppsSuppliedRecord);
void 
FreeN_DbvTaskPackageRecord (DbvTaskPackageRecord ** ppsTaskPackageRecord);
void 
FreeN_DbvVolume (DbvVolume ** ppsVolume);
void 
FreeN_Ulong (Ulong ** ppUlong);
void 
FreeN_DbvOtherInformation (DbvOtherInformation ** ppsOtherInformation);
void 
FreeN_DbvOccurrenceByAttributes (DbvOccurrenceByAttributes
				 ** ppsByAttributes);
void 
FreeN_DbvDbSpecificComp (DbvDbSpecificComp ** ppsDbSpecific);
void 
FreeN_DbvObjectIdentifier (DbvObjectIdentifier * ppcObjectIdentifier);
void 
FreeN_DbvSystemId (DbvSystemId ** ppsSystemId);
void 
FreeN_DbvElectronicDeliveryService (
	       DbvElectronicDeliveryService ** ppsElectronicDeliveryService);
void 
FreeN_DbvSupplyMediumInfo (DbvSupplyMediumInfo ** ppsSupplyMediumInfo);
void 
FreeN_DbvSendToList (DbvSendToList ** ppsSendToList);
void 
FreeN_DbvExtension (DbvExtension ** ppsExtension);
void 
FreeN_DbvServiceType (DbvServiceType ** ppsServiceType);
void 
FreeN_DbvASN1External (DbvASN1External ** ppsASN1External);
void 
FreeN_DbvHumanString (DbvHumanString ** ppsHumanString);
void 
FreeN_DbvIconObject (DbvIconObject ** ppsIconObject);
void 
FreeN_DbvDatabaseList (DbvDatabaseList ** ppsDatabaseList);
void 
FreeN_DbvNetworkAddress (DbvNetworkAddress ** ppsNetworkAddress);
void 
FreeN_DbvOperators (DbvOperators ** ppsOperators);
void 
FreeN_DbvSearchKey (DbvSearchKey ** ppsSearchKey);
void 
FreeN_DbvHumanStringSeq (DbvHumanStringSeq ** ppsDescription);
void 
FreeN_DbvUnitType (DbvUnitType ** ppsUnitType);
void 
FreeN_DbvUnitsSupported (DbvUnitsSupported ** ppsUnitsSupported);
void 
FreeN_DbvQueryTypeDetails (DbvQueryTypeDetails ** ppsQueryTypeDetails);
void 
FreeN_DbvOtherCharge (DbvOtherCharge ** ppsOtherCharge);
void 
FreeN_DbvElementSetNames (DbvElementSetNames ** ppsElementSetNames);
void 
FreeN_DbvAccessRestrictions (
			      DbvAccessRestrictions ** ppsAccessRestrictions);
void 
FreeN_DbvTagTypeMapping (DbvTagTypeMapping ** ppsTagTypeMapping);
void 
FreeN_DbvPath (DbvPath ** ppsPath);
void 
FreeN_DbvPathA (DbvPathA ** ppsPathA);
void 
FreeN_DbvElementInfo (DbvElementInfo ** ppsElementInfo);
void 
FreeN_DbvElements (DbvElements ** ppsElements);
void 
FreeN_DbvAttributeDescription (
			 DbvAttributeDescription ** ppsAttributeDescription);
void 
FreeN_DbvAttributeType (DbvAttributeType ** ppsAttributeType);
void 
FreeN_DbvTermList (DbvTermList ** ppsTermList);
void 
FreeN_DbvValueDescription (DbvValueDescription ** ppsValueDescription);
void 
FreeN_DbvAttributeValues (DbvAttributeValues ** ppsAttributeValues);
void 
FreeN_DbvAttributesByType (DbvAttributesByType ** ppsAttributesByType);
void 
FreeN_DbvAttributesBySet (DbvAttributesBySet ** ppsAttributesBySet);
void 
FreeN_DbvAttributeDetails (DbvAttributeDetails ** ppsAttributeDetails);
void 
FreeN_DbvTerm (DbvTerm ** ppsTerm);
void 
FreeN_DbvDetailsPerElement (DbvDetailsPerElement ** ppsDetailsPerElement);
void 
FreeN_DbvSortKeys (DbvSortKeys ** ppsSortKeys);
void 
FreeN_DbvVariantTypes (DbvVariantTypes ** ppsVariantTypes);
void 
FreeN_DbvVariantClass (DbvVariantClass ** ppsVariantClass);
void 
FreeN_DbvUnits (DbvUnits ** ppsUnits);
void 
FreeN_DbvUnit (DbvUnit ** ppsUnit);
void 
FreeN_DbvCategoryInfo (DbvCategoryInfo ** ppsCategoryInfo);
void 
FreeN_DbvAttributeOccurrence (
			   DbvAttributeOccurrence ** ppsAttributeOccurrence);
void 
FreeN_DbvAttributeCombination (
			 DbvAttributeCombination ** ppsAttributeCombination);
void 
FreeN_DbvAttributeCombinations (
		       DbvAttributeCombinations ** ppsAttributeCombinations);
void 
FreeN_DbvSpecification (DbvSpecification ** ppsSpecification);
void 
FreeN_DbvValue (DbvValue ** ppsValue);
void 
FreeN_DbvTriples (DbvTriples ** ppsTriples);
void 
FreeN_DbvTagPath (DbvTagPath ** ppsTagPath);
void 
FreeN_DbvTaggedElement (DbvTaggedElement ** ppsTaggedElement);
void 
FreeN_DbvVariant (DbvVariant ** ppsVariant);
void 
FreeN_DbvHits (DbvHits ** ppsHits);
void 
FreeN_DbvDataBaseInfoSeq (DbvDataBaseInfoSeq ** ppsDbvDataBaseInfoSeq);
void 
FreeN_DbvChallenge (DbvChallenge ** ppsChallenge);
void 
FreeN_DbvResponse (DbvResponse ** ppsResponse);
void 
DBVFree_DbvAttributeElement (DbvAttributeElement * psAttributeElement);
void 
DBVFree_DbvAttributesPlusTerm (DbvAttributesPlusTerm * psAttributesPlusTerm);
void 
DBVFree_DbvCircRecord (DbvCircRecord * psCircRecord);
void 
DBVFree_DbvCloseReq (DbvCloseReq * psCloseReq);
void 
DBVFree_DbvComplexValue (DbvComplexValue * psComplexValue);
void 
DBVFree_DbvCorrelationInfo (DbvCorrelationInfo * psCorrelationInfo);
void 
DBVFree_DbvDefaultDiagFormat (DbvDefaultDiagFormat * psDefaultDiagFormat);
void 
DBVFree_DbvDeleteResultSetReq (DbvDeleteResultSetReq * psDeleteResultSetReq);
void 
DBVFree_DbvDeleteResultSetRsp (DbvDeleteResultSetRsp * psDeleteResultSetRsp);
void 
DBVFree_DbvDiagRec (DbvDiagRec * psDiagRec);
void 
DBVFree_DbvElementSetNames (DbvElementSetNames * psElementSetNames);
void 
DBVFree_DbvElementSetsDbSpecific (DbvElementSetsDbSpecific
				  * psElementSetsDbSpecific);
void 
DBVFree_DbvEntry (DbvEntry * psEntry);
void 
DBVFree_DbvEsTaskPackage (DbvEsTaskPackage * psEsTaskPackage);
void 
DBVFree_DbvEstimate1 (DbvEstimate1 * psEstimate1);
void 
DBVFree_DbvEstimate2 (DbvEstimate2 * psEstimate2);
void 
DBVFree_DbvFormatSpec (DbvFormatSpec * psFormatSpec);
void 
DBVFree_DbvFragmentSyntax (DbvFragmentSyntax * psFragmentSyntax);
void 
DBVFree_DbvGeneralizedTime (DbvGeneralizedTime psGeneralizedTime);
void 
DBVFree_DbvHoldingsRecord (DbvHoldingsRecord * psHoldingsRecord);
void 
DBVFree_DbvIntUnit (DbvIntUnit * psIntUnit);
void 
DBVFree_compulsory_DbvIntUnit (DbvIntUnit * psIntUnit);
void 
do_DBVFree_DbvIntUnit (DbvIntUnit * psIntUnit);
void 
DBVFree_DbvListEntries (DbvListEntries * psListEntries);
void 
DBVFree_DbvListStatus (DbvListStatus * psListStatus);
void 
DBVFree_DbvNamePlusRecord (DbvNamePlusRecord * psNamePlusRecord);
void 
DBVFree_DbvOccurrence (DbvOccurrence * psOccurrence);
void 
DBVFree_DbvOccurrenceByAttributes (DbvOccurrenceByAttributes
				   * psOccurrenceByAttributes);
void 
DBVFree_DbvOccurrenceByDb (DbvOccurrenceByDb * psOccurrenceByDb);
void 
DBVFree_DbvOpacRecord (DbvOpacRecord * psOpacRecord);
void 
DBVFree_DbvPermAllowableFunctions (DbvPermAllowableFunctions
				   * psPermAllowableFunctions);
void 
DBVFree_DbvPermissions (DbvPermissions * psPermissions);
void 
DBVFree_DbvPresentReq (DbvPresentReq * psPresentReq);
void 
DBVFree_DbvPresentRsp (DbvPresentRsp * psPresentRsp);
void 
DBVFree_DbvPresentStatus (DbvPresentStatus * pePresentStatus);
void 
DBVFree_DbvQuery (DbvQuery * psQuery);
void 
DBVFree_DbvRange (DbvRange * psRange);
void 
DBVFree_DbvRecords (DbvRecords * psRecords);
void 
DBVFree_DbvResourceReport1 (DbvResourceReport1 * psResourceReport1);
void 
DBVFree_DbvResourceReport2 (DbvResourceReport2 * psResourceReport2);
void 
DBVFree_DbvResourceReportReq (DbvResourceReportReq * psResourceReportReq);
void 
DBVFree_DbvResourceReportRsp (DbvResourceReportRsp * psResourceReportRsp);
void 
DBVFree_DbvResultSetStatus (DbvResultSetStatus * peResultSetStatus);
void 
DBVFree_DbvScanReq (DbvScanReq * psScanReq);
void 
DBVFree_DbvScanRsp (DbvScanRsp * psScanRsp);
void 
DBVFree_DbvSearchReq (DbvSearchReq * psSearchReq);
void 
DBVFree_DbvSearchRsp (DbvSearchRsp * psSearchRsp);
void 
DBVFree_DbvSegmentReq (DbvSegmentReq * psSegmentReq);
void 
DBVFree_DbvSingleASN1Type (DbvSingleASN1Type * psSingleASN1Type);
void 
DBVFree_DbvSortKeySpec (DbvSortKeySpec * psSortKeySpec);
void 
DBVFree_DbvSortMVAction (DbvSortMVAction * psSortMVAction);
void 
DBVFree_DbvSortReq (DbvSortReq * psSortReq);
void 
DBVFree_DbvSortResultSetStatus (DbvSortResultSetStatus * peResultSetStatus);
void 
DBVFree_DbvSortRsp (DbvSortRsp * psSortRsp);
void 
DBVFree_DbvStringOrNumeric (DbvStringOrNumeric * psStringOrNumeric);
void 
DBVFree_compulsory_DbvStringOrNumeric (DbvStringOrNumeric * psStringOrNumeric);
void 
do_DBVFree_DbvStringOrNumeric (DbvStringOrNumeric * psStringOrNumeric);
void 
DBVFree_DbvSummaryRecord (DbvSummaryRecord * psSummaryRecord);
void 
DBVFree_DbvSuppliedRecord (DbvSuppliedRecord * psSuppliedRecord);
void 
DBVFree_DbvTaskPackageRecord (DbvTaskPackageRecord * psTaskPackageRecord);
void 
DBVFree_DbvTermInfo (DbvTermInfo * psTermInfo);
void 
DBVFree_DbvUpdateExtendedService (DbvUpdateExtendedService
				  * psUpdateExtendedService);
void 
DBVFree_DbvUpdateRequestPackage (DbvUpdateRequestPackage
				 * psUpdateRequestPackage);
void 
DBVFree_DbvUpdateTaskPackage (DbvUpdateTaskPackage
			      * psUpdateTaskPackage);
void 
DBVFree_DbvUpdtRecordId (DbvUpdtRecordId * psUpdtRecordId);
void 
DBVFree_DbvUpdtRecordOrDiag (DbvUpdtRecordOrDiag * psUpdtRecordOrDiag);
void 
DBVFree_DbvUpdtSupplementalId (DbvUpdtSupplementalId * psUpdtSupplementalId);
void 
DBVFree_DbvVisibleString (DbvVisibleString psVisibleString);
void 
DBVFree_DbvVolume (DbvVolume * psVolume);
void 
DBVFree_Ulong (Ulong * pulong);
void 
DBVFreeDbvASN1External (DbvASN1External * psASN1External);
void 
DBVFree_compulsory_DbvASN1External (DbvASN1External * psASN1External);
void 
do_DBVFreeDbvASN1External (DbvASN1External * psASN1External);
void 
DBVFree_DbvRecordComposition (DbvRecordComposition * psRecordComposition);
void 
DBVFree_DbvCompSpec (DbvCompSpec * psCompSpec);
void 
DBVFree_DbvSpecification (DbvSpecification * psSpecification);
void 
DBVFree_DbvDbSpecificComp (DbvDbSpecificComp * psDbSpecific);
void 
DBVFree_DbvRPNQuery (DbvRPNQuery * psDbvRpnQuery);
void 
DBVFree_rpn_structure (DbvRPNStructure * psDbvRPNStructure);
void 
DBVFree_rpnlopropoperator (DbvRPNLopRopOperator * psDbvRPNLopRopOperator);
void 
DBVFree_rpnoperand (DbvOperand * psRpnOperand);
void 
DBVFree_attsplusterm (DbvAttributesPlusTerm * psAttributesPlusTerm);
void 
DBVFree_att_element (DbvAttributeElement * psAttributeElement);
void 
DBVFree_att_term (DbvTerm sTerm);
void 
DBVFree_DbvOperator (DbvOperator * psOperator);
void 
DBVFree_DbvExtendedServicesReq (DbvExtendedServicesReq * psExtendedServicesReq);
void 
DBVFree_DbvExtendedServicesRsp (DbvExtendedServicesRsp * psExtendedServicesRsp);
void 
DBVFree_DbvAssociateResult (DbvAssociateResult * puAssociateResult,
			    DbvAssociateState eAssociateState);
void 
DBVFree_DbvGeneralString (DbvGeneralString * psGeneralString);
void 
DBVFree_DbvEsIoTargetPart (DbvEsIoTargetPart * psEsIoTargetPart);
void 
do_DBVFree_DbvEsIoTargetPart (DbvEsIoTargetPart * psEsIoTargetPart);
void 
DBVFree_DbvEsIoResultSetItem (DbvEsIoResultSetItem * psEsIoResultSetItem);
void 
DBVFree_DbvEsIoOriginPartNotToKeep (
		     DbvEsIoOriginPartNotToKeep * psEsIoOriginPartNotToKeep);
void 
DBVFree_DbvEsIoCreditCardInfo (DbvEsIoCreditCardInfo * psEsIoCreditCardInfo);
void 
do_DBVFree_DbvEsIoOriginPartNotToKeep (
		     DbvEsIoOriginPartNotToKeep * psEsIoOriginPartNotToKeep);
void 
DBVFree_DbvIllString (DbvIllString * psIllString);
void 
do_DBVFree_DbvIllString (DbvIllString * psIllString);
void 
DBVFree_DbvPersonOrInstitutionSymbol (DbvPersonOrInstitutionSymbol
				      * psPersonOrInstitutionSymbol);
void 
DBVFree_DbvNameOfPersonOrInstitution (DbvNameOfPersonOrInstitution
				      * psNameOfPersonOrInstitution);
void 
DBVFree_DbvSystemId (DbvSystemId * psSystemId);
void 
do_DBVFree_DbvSystemId (DbvSystemId * psSystemId);
void 
DBVFree_DbvTransactionId (DbvTransactionId * psTransactionId);
void 
do_DBVFree_DbvTransactionId (DbvTransactionId * psTransactionId);
void 
DBVFree_DbvDateTime (DbvDateTime * psDateTime);
void 
do_DBVFree_DbvDateTime (DbvDateTime * psDateTime);
void 
DBVFree_DbvServiceDateTime (DbvServiceDateTime * psServiceDateTime);
void 
do_DBVFree_DbvServiceDateTime (DbvServiceDateTime * psServiceDateTime);
void 
DBVFree_DbvPostalAddress (DbvPostalAddress * psPostalAddress);
void 
DBVFree_DbvSystemAddress (DbvSystemAddress * psSystemAddress);
void 
DBVFree_DbvDeliveryAddress (DbvDeliveryAddress * psDeliveryAddress);
void 
DBVFree_DbvElDeliveryDetails (DbvElDeliveryDetails * psElDeliveryDetails);
void 
do_DBVFree_DbvElDeliveryDetails (DbvElDeliveryDetails * psElDeliveryDetails);
void 
DBVFree_DbvElDeliveryParameter (
			     DbvElDeliveryParameter * psElDeliveryParameter);
void 
DBVFree_DbvDocumentTypeParameter (
			 DbvDocumentTypeParameter * psDocumentTypeParameter);
void 
DBVFree_DbvElectronicDeliveryService (
		 DbvElectronicDeliveryService * psElectronicDeliveryService);
void 
DBVFree_DbvDeliveryService (DbvDeliveryService * psDeliveryService);
void 
DBVFree_DbvRequesterOptionalMessages (
		 DbvRequesterOptionalMessages * psRequesterOptionalMessages);
void 
DBVFree_DbvSearchType (DbvSearchType * psSearchType);
void 
DBVFree_DbvSupplyMediumInfo (DbvSupplyMediumInfo * psSupplyMediumInfo);
void 
DBVFree_DbvClientId (DbvClientId * psClientId);
void 
DBVFree_DbvItemId (DbvItemId * psItemId);
void 
do_DBVFree_DbvItemId (DbvItemId * psItemId);
void 
DBVFree_DbvAmount (DbvAmount * psAmount);
void 
DBVFree_DbvCostInfo (DbvCostInfo * psCostInfo);
void 
DBVFree_DbvSendToList (DbvSendToList * psSendToList);
void 
DBVFree_DbvThirdPartyInfo (DbvThirdPartyInfo * psThirdPartyInfo);
void 
DBVFree_DbvRequesterGroup (DbvRequesterGroup * peRequesterGroup);
void 
DBVFree_DbvAddRequesterInfo (DbvAddRequesterInfo * psAddRequesterInfo);
void 
DBVFree_DbvStatusLevelUser (DbvStatusLevelUser * peStatusLevelUser);
void 
DBVFree_DbvStatusLevelRequester (DbvStatusLevelRequester * peStatusLevelOrigin);
void 
DBVFree_DbvAddDeliveryInfo (DbvAddDeliveryInfo * psAddDeliveryInfo);
void 
DBVFree_DbvBillingBankInfo (DbvBillingBankInfo * psBillingBankInfo);
void 
DBVFree_DbvBillingCreditCardInfo (DbvBillingCreditCardInfo * psBillingCreditCardInfo);
void 
DBVFree_DbvAddBillingInfo (DbvAddBillingInfo * psAddBillingInfo);
void 
DBVFree_DbvSubitoAdditionalInfo (DbvSubitoAdditionalInfo * psAddIllReqInfo);
void 
DBVFree_DbvExtension (DbvExtension * psExtension);
void 
DBVFree_DbvIllRequest (DbvIllRequest * psIllRequest);
void 
DBVFree_DbvHistoryReport (DbvHistoryReport * psHistoryReport);
void 
do_DBVFree_DbvHistoryReport (DbvHistoryReport * psHistoryReport);
void 
DBVFree_DbvStateTransitionProhibited (
		 DbvStateTransitionProhibited * psStateTransitionProhibited);
void 
DBVFree_DbvAlreadyForwarded (DbvAlreadyForwarded * psAlreadyForwarded);
void 
DBVFree_DbvProviderErrorReport (
			     DbvProviderErrorReport * psProviderErrorReport);
void 
DBVFree_DbvUserErrorReport (DbvUserErrorReport * psUserErrorReport);
void 
DBVFree_DbvUserOrProviderErrorReport (
		 DbvUserOrProviderErrorReport * psUserOrProviderErrorReport);
void 
do_DBVFree_DbvUserOrProviderErrorReport (
		 DbvUserOrProviderErrorReport * psUserOrProviderErrorReport);
void 
DBVFree_DbvErrorReport (DbvErrorReport * psErrorReport);
void 
DBVFree_DbvStatusReport (DbvStatusReport * psStatusReport);
void 
DBVFree_DbvStatusOrErrorReport (
			     DbvStatusOrErrorReport * psStatusOrErrorReport);
void 
DBVFree_DbvIllPdu (DbvIllPdu * psIllPdu);
void 
DBVFree_DbvBool (DbvBool * peBool);
void 
DBVFree_DbvPreference (DbvPreference * pePreference);
void 
DBVFree_DbvTransactionType (DbvTransactionType * peTransactionType);
void 
DBVFree_DbvReasonNoReport (DbvReasonNoReport * peReasonNoReport);
void 
DBVFree_DbvPrintableString (DbvPrintableString pcPrintableString);
void 
DBVFree_DbvItemType (DbvItemType * peItemType);
void 
DBVFree_DbvExpiry (DbvExpiry * peExpiry);
void 
DBVFree_DbvMediumType (DbvMediumType * peMediumType);
void 
DBVFree_DbvServiceType (DbvServiceType * peServiceType);
void 
DBVFree_DbvPlaceOnHold (DbvPlaceOnHold * pePlaceOnHold);
void 
DBVFree_DbvShippedServiceType (DbvShippedServiceType * peShippedServiceType);
void 
DBVFree_DbvTransactionResults (DbvTransactionResults * peTransactionResults);
void 
DBVFree_DbvEsIoAuxiliaryStatus (
			     DbvEsIoAuxiliaryStatus * peEsIoAuxiliaryStatus);
void 
DBVFree_DbvEsIoPaymentMethod (DbvEsIoPaymentMethod * psEsIoPaymentMethod);
void 
do_DBVFree_DbvEsIoPaymentMethod (DbvEsIoPaymentMethod * psEsIoPaymentMethod);
void 
DBVFree_DbvEsIoAdditionalBilling (
			 DbvEsIoAdditionalBilling * psEsIoAdditionalBilling);
void 
DBVFree_DbvEsIoContact (DbvEsIoContact * psEsIoContact);
void 
DBVFree_DbvEsIoOriginPartToKeep (
			   DbvEsIoOriginPartToKeep * psEsIoOriginPartToKeep);
void 
DBVFree_DbvEsIoRequest (DbvEsIoRequest * psEsIoRequest);
void 
DBVFree_DbvEsIoTaskPackage (DbvEsIoTaskPackage * psEsIoTaskPackage);
void 
DBVFree_DbvItemOrderExtendedService (
		   DbvItemOrderExtendedService * psItemOrderExtendedService);
void 
DBVFree_DbvCommonInfo (DbvCommonInfo * psCommonInfo);
void 
DBVFree_DbvHumanString (DbvHumanString * psHumanString);
void 
DBVFree_DbvBodyType (DbvBodyType * psBodyType);
void 
do_DBVFree_DbvBodyType (DbvBodyType * psBodyType);
void 
DBVFree_DbvIconObject (DbvIconObject * psIconObject);
void 
DBVFree_DbvContactInfo (DbvContactInfo * psContactInfo);
void 
DBVFree_DbvDatabaseList (DbvDatabaseList * psDatabaseList);
void 
DBVFree_DbvInterAddress (DbvInterAddress * psInterAddress);
void 
DBVFree_DbvOsiPresentationAddress (
		       DbvOsiPresentationAddress * psOsiPresentationAddress);
void 
DBVFree_DbvOtherAddress (DbvOtherAddress * psOtherAddress);
void 
DBVFree_DbvNetworkAddress (DbvNetworkAddress * psNetworkAddress);
void 
DBVFree_DbvOperators (DbvOperators * psOperators);
void 
DBVFree_DbvSearchKey (DbvSearchKey * psSearchKey);
void 
DBVFree_DbvHumanStringSeq (DbvHumanStringSeq * psDescription);
void 
DBVFree_DbvPrivateCapabilities (
			     DbvPrivateCapabilities * psPrivateCapabilities);
void 
DBVFree_DbvPrivate (DbvPrivate * psPrivate);
void 
DBVFree_DbvUnitsSupported (DbvUnitsSupported * psUnitsSupported);
void 
DBVFree_DbvProximitySupport (DbvProximitySupport * psProximitySupport);
void 
DBVFree_DbvRpnCapabilities (DbvRpnCapabilities * psRpnCapabilities);
void 
DBVFree_DbvIso8777Capabilities (
			     DbvIso8777Capabilities * psIso8777Capabilities);
void 
DBVFree_DbvQueryTypeDetails (DbvQueryTypeDetails * psQueryTypeDetails);
void 
DBVFree_DbvAccessRestrictions (DbvAccessRestrictions * psAccessRestrictions);
void 
DBVFree_DbvCharge (DbvCharge * psCharge);
void 
do_DBVFree_DbvCharge (DbvCharge * psCharge);
void 
DBVFree_DbvOtherCharge (DbvOtherCharge * psOtherCharge);
void 
DBVFree_DbvCosts (DbvCosts * psCosts);
void 
DBVFree_DbvAccessInfo (DbvAccessInfo * psAccessInfo);
void 
DBVFree_DbvTargetInfo (DbvTargetInfo * psTargetInfo);
void 
DBVFree_DbvRecordCount (DbvRecordCount * psRecordCount);
void 
DBVFree_DbvDatabaseInfo (DbvDatabaseInfo * psDatabaseInfo);
void 
DBVFree_DbvTagTypeMapping (DbvTagTypeMapping * psTagTypeMapping);
void 
DBVFree_DbvPath (DbvPath * psPath);
void 
DBVFree_DbvPathA (DbvPathA * psPathA);
void 
DBVFree_DbvElementInfo (DbvElementInfo * psElementInfo);
void 
DBVFree_DbvElementDataType (DbvElementDataType * psElementDataType);
void 
DBVFree_DbvSchemaInfo (DbvSchemaInfo * psSchemaInfo);
void 
DBVFree_DbvElements (DbvElements * psElements);
void 
DBVFree_DbvPrimitiveDataType (DbvPrimitiveDataType * pePrimitiveDataType);
void 
DBVFree_DbvTagSetInfo (DbvTagSetInfo * psTagSetInfo);
void 
DBVFree_DbvRecordSyntaxInfo (DbvRecordSyntaxInfo * psRecordSyntaxInfo);
void 
DBVFree_DbvAttributeDescription (
			   DbvAttributeDescription * psAttributeDescription);
void 
DBVFree_DbvAttributeType (DbvAttributeType * psAttributeType);
void 
DBVFree_DbvAttributeSetInfo (DbvAttributeSetInfo * psAttributeSetInfo);
void 
DBVFree_DbvTermList (DbvTermList * psTermList);
void 
DBVFree_DbvTermListInfo (DbvTermListInfo * psTermListInfo);
void 
DBVFree_DbvSearchCost (DbvSearchCost * peSearchCost);
void 
DBVFree_DbvExtendedServicesInfo (
			   DbvExtendedServicesInfo * psExtendedServicesInfo);
void 
DBVFree_DbvOmittedAttributeInterpretation (
       DbvOmittedAttributeInterpretation * psOmittedAttributeInterpretation);
void 
DBVFree_DbvAttributeValues (DbvAttributeValues * psAttributeValues);
void 
DBVFree_DbvAttributesByType (DbvAttributesByType * psAttributesByType);
void 
DBVFree_DbvAttributesBySet (DbvAttributesBySet * psAttributesBySet);
void 
DBVFree_DbvAttributeOccurrenceChoice (
		 DbvAttributeOccurrenceChoice * psAttributeOccurrenceChoice);
void 
do_DBVFree_DbvAttributeOccurrenceChoice (
		 DbvAttributeOccurrenceChoice * psAttributeOccurrenceChoice);
void 
DBVFree_DbvAttributeOccurrence (
			     DbvAttributeOccurrence * psAttributeOccurrence);
void 
DBVFree_DbvAttributeCombination (
			   DbvAttributeCombination * psAttributeCombination);
void 
DBVFree_DbvAttributeCombinations (
			 DbvAttributeCombinations * psAttributeCombinations);
void 
DBVFree_DbvAttributeDetails (DbvAttributeDetails * psAttributeDetails);
void 
DBVFree_DbvScanInfo (DbvScanInfo * psScanInfo);
void 
DBVFree_DbvTermListDetails (DbvTermListDetails * psTermListDetails);
void 
DBVFree_DbvRecordTag (DbvRecordTag * psRecordTag);
void 
DBVFree_DbvDetailsPerElement (DbvDetailsPerElement * psDetailsPerElement);
void 
DBVFree_DbvElementSetDetails (DbvElementSetDetails * psElementSetDetails);
void 
DBVFree_DbvRetrievalRecordDetails (
		       DbvRetrievalRecordDetails * psRetrievalRecordDetails);
void 
DBVFree_DbvSortType (DbvSortType * psSortType);
void 
DBVFree_DbvCaseSensitivity (DbvCaseSensitivity * peCaseSensitivity);
void 
DBVFree_DbvSortKeys (DbvSortKeys * psSortKeys);
void 
DBVFree_DbvSortDetails (DbvSortDetails * psSortDetails);
void 
DBVFree_DbvProcessingInformation (
			 DbvProcessingInformation * psProcessingInformation);
void 
DBVFree_DbvValueDescription (DbvValueDescription * psValueDescription);
void 
DBVFree_DbvValueRange (DbvValueRange * psValueRange);
void 
DBVFree_DbvValueSet (DbvValueSet * psValueSet);
void 
DBVFree_DbvVariantValue (DbvVariantValue * psVariantValue);
void 
DBVFree_DbvVariantTypes (DbvVariantTypes * psVariantTypes);
void 
DBVFree_DbvVariantClass (DbvVariantClass * psVariantClass);
void 
DBVFree_DbvVariantSetInfo (DbvVariantSetInfo * psVariantSetInfo);
void 
DBVFree_DbvUnits (DbvUnits * psUnits);
void 
DBVFree_DbvUnitType (DbvUnitType * psUnitType);
void 
DBVFree_DbvUnitInfo (DbvUnitInfo * psUnitInfo);
void 
DBVFree_DbvCategoryInfo (DbvCategoryInfo * psCategoryInfo);
void 
DBVFree_DbvCategoryList (DbvCategoryList * psCategoryList);
void 
DBVFree_DbvExplainRecord (DbvExplainRecord * psExplainRecord);
void 
DBVFree_DbvLanguageCode (DbvLanguageCode * psLanguageCode);
void 
DBVFree_DbvNull (DbvNull * psNull);
void 
DBVFree_DbvUnit (DbvUnit * psUnit);
void 
DBVFree_DbvTerm (DbvTerm * psTerm);
void 
DBVFree_DbvDataBaseInfoSeq (DbvDataBaseInfoSeq * psDataBaseInfoSeq);
void 
DBVFree_DbvOrder (DbvOrder * psOrder);
void 
DBVFree_DbvUsage (DbvUsage * psUsage);
void 
DBVFree_DbvHits (DbvHits * psHits);
void 
DBVFree_DbvValue (DbvValue * psValue);
void 
DBVFree_DbvTriples (DbvTriples * psTriples);
void 
DBVFree_DbvVariant (DbvVariant * psVariant);
void 
DBVFree_DbvTagPath (DbvTagPath * psTagPath);
void 
DBVFree_DbvElementMetaData (DbvElementMetaData * psElementMetaData);
void 
DBVFree_DbvElementDataG (DbvElementDataG * psElementDataG);
void 
do_DBVFree_DbvElementDataG (DbvElementDataG * psElementDataG);
void 
DBVFree_DbvTaggedElement (DbvTaggedElement * psTaggedElement);
void 
DBVFree_DbvGenericRecord (DbvGenericRecord * psGenericRecord);
void 
DBVFree_DbvSecurityChallengeRsp (DbvSecurityChallengeRsp * psSecurityChallengeRsp);
void 
DBVFree_DbvAccessControlReq (DbvAccessControlReq * psAccessControlReq);
void 
DBVFree_DbvAccessControlRsp (DbvAccessControlRsp * psAccessControlRsp);
void 
DBVFree_DbvEnumeratedPrompt (DbvEnumeratedPrompt * psEnumeratedPrompt);
void 
DBVFree_DbvEncryption (DbvEncryption * psEncryption);
void 
DBVFree_DbvPromptInfo (DbvPromptInfo * psPromptInfo);
void 
DBVFree_DbvDataType (DbvDataType * peDataType);
void 
DBVFree_DbvChallenge (DbvChallenge * psChallenge);
void 
DBVFree_DbvResponse (DbvResponse * psResponse);
void 
DBVFree_DbvPromptObject (DbvPromptObject * psPromptObject);
void 
DBVFree_DbvPartialResultsAvailable (DbvPartialResultsAvailable * pePartialResultsAvailable);
void 
DBVFree_DbvResourceControlReq (DbvResourceControlReq * psResourceControlReq);
void 
DBVFree_DbvResourceControlRsp (DbvResourceControlRsp * psResourceControlRsp);
void 
DBVFree_DbvTriggerResourceControlReq (DbvTriggerResourceControlReq * psTriggerResourceControlReq);
void 
DBVFree_DbvElementSpec (DbvElementSpec * psElementSpec);



#endif

