/*  Module Name: @(#)oid_overwrites_charset.c	1.3
    Version: 12/6/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description: snacc oid overwrite
 
*/


#include "sidefs.h"
#include "sitypes.h"
#include "sitypes2.h"
#include "dbvproto.h"
#include "iord_ext.h"
#include "itemordr.h"



int val;
jmp_buf env;
 
if ((val = setjmp(env)) == 0) {

AsnOid temp;
    
/* in z3950_globals.c */
extern char charsetandlanguagenegotiationOid_static[];


/*  ANSI_CHARSET_AND_LANGUAGE_NEGOTIATION - 1.2.840.10003.10.2 */
ASN_MakeOid(ANSI_CHARSET_AND_LANGUAGE_NEGOTIATION, &temp, env);
memcpy(charsetandlanguagenegotiationOid_static, temp.octs, temp.octetLen);
Asn1Free(temp.octs);
charsetandlanguagenegotiationOid.octs = charsetandlanguagenegotiationOid_static;
charsetandlanguagenegotiationOid.octetLen = temp.octetLen;
oid0.octs = charsetandlanguagenegotiationOid_static;
oid0.octetLen = temp.octetLen;

} else {
        fprintf(stderr, "Fatal event: ASN_MakeOid failed for oid_overwrites_charset.c\n");
}
 





