/*  Module Name: @(#)z3950_externals.h	7.2
    Version: 12/2/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description: 
*/

#ifndef z3950_externals_h
#define z3950_externals_h

#include "z3950_includes.h"



int DBVinit_external_data();
int DBV_reset_external_counters(void);
int DBVunknown_external(char *oid);
void DBVdbv_to_snacc_DbvASN1External_comp(NEWEXTERNAL **snacc_external, DbvASN1External *dbv_external, jmp_buf env);
void DBVdbv_to_snacc_DbvASN1External(NEWEXTERNAL *snacc_external, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_external(NEWEXTERNAL *snacc_external, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_anytype(char *oid, AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
void DBVsnacc_to_dbv_DbvASN1External_comp(DbvASN1External **dbv_external, NEWEXTERNAL *snacc_external, jmp_buf env);
void DBVsnacc_to_dbv_DbvASN1External(DbvASN1External *dbv_external, NEWEXTERNAL *snacc_external, jmp_buf env);
int DBVsnacc_to_dbv_external(DbvASN1External *dbv_external, NEWEXTERNAL *snacc_external, jmp_buf env);
int DBVsetup_dbv_externaloid(DbvASN1External *dbv_external, char *direct_reference, jmp_buf env);
int DBVsnacc_to_dbv_anytype(char *direct_reference, DbvASN1External *dbv_external, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVdbv_to_snacc_sutrs_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_isosutrs_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVsnacc_to_dbv_sutrs_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_isosutrs_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVdbv_to_snacc_opac_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_isoopac_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_opac_main(OrigOPACRecord *opac_ptr, struct DbvOpacRecord *psOpacRecord, jmp_buf env);
int DBVdbv_to_snacc_holdings(OrigOPACRecordSeqOf *holdingsData, DbvHoldingsRecord **ppsHoldingsData, jmp_buf env);
int DBVdbv_to_snacc_holding_rec(HoldingsRecord *data_ptr, DbvHoldingsRecord *psHoldingsData, jmp_buf env);
int DBVdbv_to_snacc_holdings_bulk(struct HoldingsAndCircData *holdingsAndCirc, DbvHoldingsAndCircData sHoldingsAndCirc, jmp_buf env);
int DBVdbv_to_snacc_hold_volume(struct HoldingsAndCircData *holdingsAndCirc, DbvHoldingsAndCircData sHoldingsAndCirc, jmp_buf env);
int DBVdbv_to_snacc_vol_struct(Volume *data_ptr, DbvVolume *psVolume, jmp_buf env);
int DBVdbv_to_snacc_hold_circ(struct HoldingsAndCircData *holdingsAndCirc, DbvHoldingsAndCircData sHoldingsAndCirc, jmp_buf env);
int DBVdbv_to_snacc_circ_struct(CircRecord *data_ptr, DbvCircRecord *psCircRecord, jmp_buf env);
void DBVsnacc_to_dbv_opac_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_isoopac_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_opac_main(struct DbvOpacRecord *psOpacRecord, OrigOPACRecord *opac_ptr, jmp_buf env);
int DBVsnacc_to_dbv_holding(DbvHoldingsRecord **ppsHoldingsData, OrigOPACRecordSeqOf *holdingsData, jmp_buf env);
int DBVsnacc_to_dbv_holding_bulk(DbvHoldingsAndCircData *psHoldingsAndCirc, struct HoldingsAndCircData* holdingsAndCirc, jmp_buf env);
int DBVsnacc_to_dbv_hold_volume(DbvHoldingsAndCircData *psHoldingsAndCirc, struct HoldingsAndCircData* holdingsAndCirc, jmp_buf env);
int DBVsnacc_to_dbv_hold_circ(DbvHoldingsAndCircData *psHoldingsAndCirc, struct HoldingsAndCircData* holdingsAndCirc, jmp_buf env);
int DBVsnacc_to_dbv_circrec(DbvCircRecord *psCircRecord, CircRecord *data_ptr, jmp_buf env);
int DBVdbv_to_snacc_summary_any(AsnAnyDefinedBy *asn_any, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_isosummary_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_summ_main(BriefBib *summary_ptr, struct DbvSummaryRecord *psSummaryRecord, jmp_buf env);
int DBVdbv_to_snacc_summ_format(BriefBibSeqOf *format, DbvFormatSpec **ppsFormat, jmp_buf env);
int DBVsnacc_to_dbv_summary_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_isosummary_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_summ_main(struct DbvSummaryRecord *psSummaryRecord, BriefBib *summary_ptr, jmp_buf env);
int DBVsnacc_to_dbv_summ_format(DbvFormatSpec **ppsFormat, BriefBibSeqOf *format, jmp_buf env);
int DBVdbv_to_snacc_resrep1_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_isoresrep1_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_resrep1_main(ResourceReport1 *resrep1_ptr, struct DbvResourceReport1 *psResourceReport1, jmp_buf env);
int DBVdbv_to_snacc_estimate1(Estimate *data_ptr, DbvEstimate1 *psEstimate, jmp_buf env);
int DBVsnacc_to_dbv_resrep1_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_isoresrep1_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_resrep1_main(struct DbvResourceReport1 *psResourceReport1, ResourceReport1 *resrep1_ptr, jmp_buf env);
int DBVsnacc_to_dbv_estimate1(DbvEstimate1 *psEstimate, Estimate *data_ptr, jmp_buf env);
int DBVdbv_to_snacc_resrep2_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_isoresrep2_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_resrep2_main(ResourceReport2 *resrep2_ptr, struct DbvResourceReport2 *psResourceReport2, jmp_buf env);
int DBVdbv_to_snacc_resrep2est(ResourceReport2SeqOf *estimates, DbvEstimate2 **ppsEstimate, jmp_buf env);
int DBVdbv_to_snacc_estimate2(Estimate2 *data_ptr, DbvEstimate2 *psEstimate, jmp_buf env);
int DBVsnacc_to_dbv_resrep2_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_isoresrep2_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_resrep2_main(struct DbvResourceReport2 *psResourceReport2, ResourceReport2 *resrep2_ptr, jmp_buf env);
int DBVsnacc_to_dbv_resrep2est(DbvEstimate2 **ppsEstimate, ResourceReport2SeqOf *estimates, jmp_buf env);
int DBVsnacc_to_dbv_estimate2(DbvEstimate2 *psEstimate, Estimate2 *data_ptr, jmp_buf env);
int DBVdbv_to_snacc_estaskpack_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_isoestaskpack_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_taskpack_main(TaskPackage *taskpack_ptr, struct DbvEsTaskPackage *psEsTaskPackage, jmp_buf env);
int DBVdbv_to_snacc_permissions(Permissions *permissions, DbvPermissions **ppsPermissions, jmp_buf env);
int DBVdbv_to_snacc_permisnode(PermissionsSeq *data_ptr, DbvPermissions *psPermissions, jmp_buf env);
int DBVdbv_to_snacc_allowfuncts(PermissionsSeqSeqOf *allowableFunctions, DbvPermAllowableFunctions **ppeAllowableFunctions, jmp_buf env);
int DBVdbv_to_snacc_diagrec_list(AsnList *snacc_diaglist, DbvDiagRec **dbv_diaglist, jmp_buf env);
int DBVsnacc_to_dbv_estaskpack_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_isoestaskpack_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_taskpack_main(struct DbvEsTaskPackage *psEsTaskPackage, TaskPackage *taskpack_ptr, jmp_buf env);
int DBVsnacc_to_dbv_permissions(DbvPermissions **ppsPermissions, Permissions *permissions, jmp_buf env);
int DBVsnacc_to_dbv_permisnode(DbvPermissions *psPermissions, PermissionsSeq *data_ptr, jmp_buf env);
int Dbvsnacc_to_dbv_allowfuncts(DbvPermAllowableFunctions **ppeAllowableFunctions, PermissionsSeqSeqOf *allowableFunctions, jmp_buf env);
int Dbvsnacc_to_dbv_diagrec_list(DbvDiagRec **dbv_diaglist, AsnList *snacc_diaglist, jmp_buf env);
int DBVdbv_to_snacc_update_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_isoupdate_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_update_main(Update *update_ptr, struct DbvUpdateExtendedService *psUpdateExtendedService, jmp_buf env);
int DBVdbv_to_snacc_update_esreq(struct UpdateSeq* esRequest, DbvUpdateRequestPackage *psUpdateRequest, jmp_buf env);
int DBVdbv_to_snacc_parttokeep5(struct OriginPartToKeep5 *toKeep, DbvOriginPartToKeep *psOriginPartToKeep, jmp_buf env);
int DBVdbv_to_snacc_partnottokeep5(OriginPartNotToKeep5 *notToKeep, DbvSuppliedRecord **ppsSuppliedRecord, jmp_buf env);
int DBVdbv_to_snacc_supplied_rec(SuppliedRecordsSeq *data_ptr, DbvSuppliedRecord *psSuppliedRecord, jmp_buf env);
int DBVdbv_to_snacc_recordid(struct SuppliedRecordsSeqChoice* recordId, DbvUpdtRecordId *psUpdtRecordId, jmp_buf env);
int DBVdbv_to_snacc_supple_id(struct SuppliedRecordsSeqChoice1 *supplementalId, DbvUpdtSupplementalId *psUpdtSupplementalId, jmp_buf env);
int DBVdbv_to_snacc_correl_info(struct CorrelationInfo* correlationInfo, DbvCorrelationInfo *psCorrelationInfo, jmp_buf env);
int DBVdbv_to_snacc_update_taspack(struct UpdateSeq1 *taskPackage, DbvUpdateTaskPackage *psUpdateResponse, jmp_buf env);
int DBVdbv_to_snacc_targetpart(struct TargetPart5* targetPart, DbvUpdateTargetPart *psTargetPart, jmp_buf env);
int DBVdbv_to_snacc_taskpackrecs(TargetPart5SeqOf1 *taskPackageRecords, DbvTaskPackageRecord **ppsTaskPackageRecord, jmp_buf env);
int DBVdbv_to_snacc_taskpackrec(TaskPackageRecordStructure *data_ptr, DbvTaskPackageRecord *psTaskPackageRecord, jmp_buf env);
int DBVdbv_to_snacc_recorsur(struct TaskPackageRecordStructureChoice* recordOrSurDiag, DbvUpdtRecordOrDiag *psUpdtRecordOrDiag, jmp_buf env);
int DBVsnacc_to_dbv_update_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_isoupdate_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_update_main(struct DbvUpdateExtendedService *psUpdateExtendedService, Update *update_ptr, jmp_buf env);
int DBVsnacc_to_dbv_updatereq(DbvUpdateRequestPackage *psUpdateRequest, struct UpdateSeq *esRequest, jmp_buf env);
int DBVsnacc_to_dbv_parttokeep5(DbvOriginPartToKeep *psOriginPartToKeep, struct OriginPartToKeep5* toKeep, jmp_buf env);
int DBVsnacc_to_dbv_notokeep(DbvSuppliedRecord **ppsSuppliedRecord, OriginPartNotToKeep5 *notToKeep, jmp_buf env);
int DBVsnacc_to_dbv_supp_rec(DbvSuppliedRecord *psSuppliedRecord, SuppliedRecordsSeq *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_recordid(DbvUpdtRecordId *psUpdtRecordId, struct SuppliedRecordsSeqChoice* recordId, jmp_buf env);
int DBVsnacc_to_dbv_suppid(DbvUpdtSupplementalId *psUpdtSupplementalId, struct SuppliedRecordsSeqChoice1* supplementalId, jmp_buf env);
int DBVsnacc_to_dbv_corr_info(DbvCorrelationInfo *psCorrelationInfo, struct CorrelationInfo* correlationInfo, jmp_buf env);
int DBVsnacc_to_dbv_updatersp(DbvUpdateTaskPackage *psUpdateResponse, struct UpdateSeq1 *taskPackage, jmp_buf env);
int DBVsnacc_to_dbv_targetPart(DbvUpdateTargetPart *psTargetPart, struct TargetPart5* targetPart, jmp_buf env); 
int DBVsnacc_to_dbv_taskpack(DbvTaskPackageRecord **ppsTaskPackageRecord, TargetPart5SeqOf1 *taskPackageRecords, jmp_buf env);
int DBVsnacc_to_dbv_taskpackrec(DbvTaskPackageRecord *psTaskPackageRecord, TaskPackageRecordStructure *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_recordiag(DbvUpdtRecordOrDiag *psUpdtRecordOrDiag, struct TaskPackageRecordStructureChoice* recordOrSurDiag, jmp_buf env);
int DBVsnacc_to_dbv_unknown_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVdbv_to_snacc_aligned(NEWEXTERNAL *snacc_external, DbvASN1External *dbv_external, jmp_buf env);
int DBVsnacc_to_dbv_aligned(DbvASN1External *dbv_external, NEWEXTERNAL *snacc_external, jmp_buf env);
int DBVdbv_to_snacc_arbitrary(NEWEXTERNAL *snacc_external, DbvASN1External *dbv_external, jmp_buf env);
int DBVsnacc_to_dbv_arbitrary(DbvASN1External *dbv_external, NEWEXTERNAL *snacc_external, jmp_buf env);
int DBVcheck_DbvASN1External_opt(DbvAssocId lAssocId, DbvASN1External *psDbvASN1External, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvASN1External(DbvAssocId lAssocId, DbvASN1External *psDbvASN1External, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_external(DbvAssocId lAssocId, DbvASN1External *psDbvASN1External, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_singleasn1(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_at_unstructuredtext(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_at_opacrecord(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_opac(DbvAssocId lAssocId, struct DbvOpacRecord *psOpacRecord, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_holdrec(DbvAssocId lAssocId, DbvHoldingsRecord *psHoldingsData, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_holdandcirc(DbvAssocId lAssocId, DbvHoldingsAndCircData *psHoldingsAndCirc, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_volume(DbvAssocId lAssocId, DbvVolume **ppsVolume, char *error_buffer, DbvError **ppsSIError);
int DBV_check_dbv_circrec(DbvAssocId lAssocId, DbvCircRecord **ppsCircRecord, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_circrec(DbvAssocId lAssocId, DbvCircRecord *psCircRecord, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_at_summaryrecord(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_summary(DbvAssocId lAssocId, struct DbvSummaryRecord *psSummaryRecord, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_at_resourcereport1(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_resrep1(DbvAssocId lAssocId, struct DbvResourceReport1 *psResourceReport1, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_estimate1(DbvAssocId lAssocId, DbvEstimate1 *psEstimate, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_at_resourcereport2(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_resrep2(DbvAssocId lAssocId, struct DbvResourceReport2 *psResourceReport2, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_estimate2(DbvAssocId lAssocId, DbvEstimate2 *psEstimate, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_at_estaskpackage(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_estask(DbvAssocId lAssocId, struct DbvEsTaskPackage *psEsTaskPackage, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_at_updateextendedservice(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_update(DbvAssocId lAssocId, struct DbvUpdateExtendedService *psUpdateExtendedService, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_updatereq(DbvAssocId lAssocId, DbvUpdateRequestPackage *psUpdateRequest, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_originpart(DbvAssocId lAssocId, DbvOriginPartToKeep *psOriginPartToKeep, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_suppliedrecs(DbvAssocId lAssocId, DbvSuppliedRecord **ppsSuppliedRecord, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_supprec(DbvAssocId lAssocId, DbvSuppliedRecord *psSuppliedRecord, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_recid(DbvAssocId lAssocId, DbvUpdtRecordId *psUpdtRecordId, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_suppid(DbvAssocId lAssocId, DbvUpdtSupplementalId *psUpdtSupplementalId, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_corrinfo(DbvAssocId lAssocId, DbvCorrelationInfo *psCorrelationInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_updatersp(DbvAssocId lAssocId, DbvUpdateTaskPackage *psUpdateResponse, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_targetpart(DbvAssocId lAssocId, DbvUpdateTargetPart *psTargetPart, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_taskpackrec(DbvAssocId lAssocId, DbvTaskPackageRecord *psTaskPackageRecord, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_recordiag(DbvAssocId lAssocId, DbvUpdtRecordOrDiag *psUpdtRecordOrDiag, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_arbitrary(DbvAssocId lAssocId, DbvOctetString *psArbitrary, char *error_buffer, DbvError **ppsSIError);


#endif
