/*  Module Name: @(#)z3950_externals3.h	7.2
    Version: 12/4/96
    Author: John Hough

    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ

    Date of Issue:

    QA Acceptance:
    Date of Acceptance:

    Description:
*/

#ifndef z3950_externals3_h
#define z3950_externals3_h

#include "z3950_includes.h"



int DBVdbv_to_snacc_explain_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_isoexplain_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_explain_main(Explain_Record *explain_ptr, struct DbvExplainRecord *psExplainRecord, jmp_buf env);
int DBVdbv_to_snacc_exp_targetinfo(struct TargetInfo* targetInfo, DbvTargetInfo *psTargetInfo, jmp_buf env);
int DBVdbv_to_snacc_exp_commoninfo_opt(struct CommonInfo** commonInfo, DbvCommonInfo *psCommonInfo, jmp_buf env);
int DBVdbv_to_snacc_exp_commoninfo(struct CommonInfo* commonInfo, DbvCommonInfo *psCommonInfo, jmp_buf env);
int DBVdbv_to_snacc_exp_humanstring_list_opt(HumanString **recent_news, DbvHumanString **ppsRecentNews, jmp_buf env);
int DBVdbv_to_snacc_exp_humanstring_list(HumanString *recent_news, DbvHumanString **ppsRecentNews, jmp_buf env);
int DBVdbv_to_snacc_exp_humanstring(HumanStringSeq *data_ptr, DbvHumanString *psRecentNews, jmp_buf env);
int DBVdbv_to_snacc_exp_icon_list_opt(IconObject **icon, DbvIconObject **ppsIcon, jmp_buf env);
int DBVdbv_to_snacc_exp_icon_list(IconObject *icon, DbvIconObject **ppsIcon, jmp_buf env);
int DBVdbv_to_snacc_exp_icon(IconObjectSeq *data_ptr, DbvIconObject *psIcon, jmp_buf env);
int DBVdbv_to_snacc_exp_bodytype(struct IconObjectSeqChoice* bodyType, DbvBodyType *psBodyType, jmp_buf env);
int DBVdbv_to_snacc_exp_contactinfo(struct ContactInfo* contactInfo, DbvContactInfo *psContactInfo, jmp_buf env);
int DBVdbv_to_snacc_exp_contactinfo_opt(struct ContactInfo** contactInfo, DbvContactInfo *psContactInfo, jmp_buf env);
int DBVdbv_to_snacc_exp_databaselist_list(TargetInfoSeqOf1 *dbCombinations, DbvDatabaseList **ppsDbCombinations, jmp_buf env);
int DBVdbv_to_snacc_dblist(DatabaseList *dblist, DbvDatabaseList *psDbCombinations, jmp_buf env);
int DBVdbv_to_snacc_exp_databasename_list(DatabaseList *dblist, DbvDatabaseList *psDbCombinations, jmp_buf env);
int DBVdbv_to_snacc_exp_addresses_list(TargetInfoSeqOf2 *addresses, DbvNetworkAddress **ppsAddresses, jmp_buf env);
int DBVdbv_to_snacc_exp_addresses(NetworkAddress *data_ptr, DbvNetworkAddress *psAddresses, jmp_buf env);
int DBVdbv_to_snacc_exp_interaddr(struct NetworkAddressSeq* internetAddress, DbvInterAddress *psInternetAddress, jmp_buf env);
int DBVdbv_to_snacc_exp_osiaddr(struct NetworkAddressSeq1* osiPresentationAddress, DbvOsiPresentationAddress *psOsiPresentationAddress, jmp_buf env);
int DBVdbv_to_snacc_exp_otheraddr(struct NetworkAddressSeq2* other, DbvOtherAddress *psOtherAddress, jmp_buf env);
int DBVdbv_to_snacc_exp_accessinfo_opt(struct AccessInfo** commonAccessInfo, DbvAccessInfo *psCommonAccessInfo, jmp_buf env);
int DBVdbv_to_snacc_exp_accessinfo(struct AccessInfo* commonAccessInfo, DbvAccessInfo *psCommonAccessInfo, jmp_buf env);
int DBVdbv_to_snacc_exp_querytypedet_list(AccessInfoSeqOf *queryTypesSupported, DbvQueryTypeDetails **ppsQueryTypesSupported, jmp_buf env);
int DBVdbv_to_snacc_exp_querytypedet(QueryTypeDetails *data_ptr, DbvQueryTypeDetails *psQueryTypesSupported, jmp_buf env);
int DBVdbv_to_snacc_exp_private(struct PrivateCapabilities* private, DbvPrivateCapabilities *psPrivate, jmp_buf env);
int DBVdbv_to_snacc_exp_operators_list(PrivateCapabilitiesSeqOf *operators, DbvOperators **ppsOperators, jmp_buf env);
int DBVdbv_to_snacc_exp_operators(PrivateCapabilitiesSeqOfSeq *data_ptr, DbvOperators *psOperators, jmp_buf env);
int DBVdbv_to_snacc_exp_searchkeys_list_opt(PrivateCapabilitiesSeqOf1 **searchKeys, DbvSearchKey **ppsSearchKey, jmp_buf env);
int DBVdbv_to_snacc_exp_searchkeys_list(PrivateCapabilitiesSeqOf1 *searchKeys, DbvSearchKey **ppsSearchKey, jmp_buf env);
int DBVdbv_to_snacc_exp_searchkey(SearchKey *data_ptr, DbvSearchKey *psSearchKey, jmp_buf env);
int DBVdbv_to_snacc_exp_humanstringseq_list_opt(PrivateCapabilitiesSeqOf2 **description, DbvHumanStringSeq **ppsDescription, jmp_buf env);
int DBVdbv_to_snacc_exp_humanstringseq_list(PrivateCapabilitiesSeqOf2 *description, DbvHumanStringSeq **ppsDescription, jmp_buf env);
int DBVdbv_to_snacc_exp_rpn(struct RpnCapabilities* rpn, DbvRpnCapabilities *psRpn, jmp_buf env);
int DBVdbv_to_snacc_exp_rpnoperators_list(RpnCapabilitiesSeqOf *operators, Ulong **ppulOperators, jmp_buf env);
int DBVdbv_to_snacc_proxsupport(struct ProximitySupport *proximity, DbvProximitySupport *psProximity, jmp_buf env);
int DBVdbv_to_snacc_exp_unitssupported_list(ProximitySupportSeqOf *unitsSupported, DbvUnitsSupported **ppsUnitsSupported, jmp_buf env);
int DBVdbv_to_snacc_exp_unitssupported(ProximitySupportSeqOfChoice *data_ptr, DbvUnitsSupported *psUnitsSupported, jmp_buf env);
int DBVdbv_to_snacc_exp_privateunit(struct ProximitySupportSeqOfChoiceSeq* private, DbvPrivate *psPrivate, jmp_buf env);
int DBVdbv_to_snacc_exp_iso8777(struct Iso8777Capabilities* iso8777, DbvIso8777Capabilities *psIso8777, jmp_buf env);
int DBVdbv_to_snacc_exp_objectident_list_opt(AccessInfoSeqOf1 **diagnosticsSets, DbvObjectIdentifier *pcDiagnosticsSets, jmp_buf env);
int DBVdbv_to_snacc_exp_objectident_list(AccessInfoSeqOf1 *diagnosticsSets, DbvObjectIdentifier *dbv, jmp_buf env);
int DBVdbv_to_snacc_exp_restrictacces_list(AccessRestrictions *restrictedAccess, DbvAccessRestrictions **ppsRestrictedAccess, jmp_buf env);
int DBVdbv_to_snacc_exp_restrictacces(AccessRestrictionsSeq *data_ptr, DbvAccessRestrictions *psRestrictedAccess, jmp_buf env);
int DBVdbv_to_snacc_exp_accesstype(AccessRestrictionsSeqInt *accessType, DbvAccessType *peAccessType, jmp_buf env);
int DBVdbv_to_snacc_exp_costs(struct Costs *costInfo, DbvCosts *psCostInfo, jmp_buf env);
int DBVdbv_to_snacc_exp_charge_opt(struct Charge **connectCharge, DbvCharge *psConnectCharge, jmp_buf env);
int DBVdbv_to_snacc_exp_charge(struct Charge* connectCharge, DbvCharge *psConnectCharge, jmp_buf env);
int DBVdbv_to_snacc_unit_opt(struct Unit **perWhat, DbvUnit *psPerWhat, jmp_buf env);
int DBVdbv_to_snacc_exp_othercharge_list(CostsSeqOf *otherCharges, DbvOtherCharge **ppsOtherCharge, jmp_buf env);
int DBVdbv_to_snacc_exp_othercharge(CostsSeqOfSeq *data_ptr, DbvOtherCharge *psOtherCharge, jmp_buf env);
int DBVdbv_to_snacc_exp_databaseinfo(struct DatabaseInfo* databaseInfo, DbvDatabaseInfo *psDatabaseInfo, jmp_buf env);
int DBVdbv_to_snacc_exp_nullpointer_opt(AsnNull** explainDatabase, DbvNull pvExplainDatabase, jmp_buf env);
int DBVdbv_to_snacc_exp_databaseinfo_list(DatabaseInfoSeqOf1 *keywords, DbvDataBaseInfoSeq **ppsKeywords, jmp_buf env);
int DBVdbv_to_snacc_exp_recordcount(struct DatabaseInfoChoice* recordCount, DbvRecordCount *psRecordCount, jmp_buf env);
int DBVdbv_to_snacc_exp_schemainfo(struct SchemaInfo* schemaInfo, DbvSchemaInfo *psSchemaInfo, jmp_buf env);
int DBVdbv_to_snacc_exp_tagtypemapp_list(SchemaInfoSeqOf *tagTypeMapping, DbvTagTypeMapping **ppsTagTypeMapping, jmp_buf env);
int DBVdbv_to_snacc_exp_tagtypermapp(SchemaInfoSeqOfSeq *data_ptr, DbvTagTypeMapping *psTagTypeMapping, jmp_buf env);
int DBVdbv_to_snacc_exp_elementinfo_list_opt(SchemaInfoSeqOf1** recordStructure, DbvElementInfo **ppsRecordStructure, jmp_buf env);
int DBVdbv_to_snacc_exp_elementinfo_list(SchemaInfoSeqOf1 *recordStructure, DbvElementInfo **ppsRecordStructure, jmp_buf env);
int DBVdbv_to_snacc_exp_elementinfo(ElementInfo *data_ptr, DbvElementInfo *psRecordStructure, jmp_buf env);
int DBVdbv_to_snacc_exp_path_list(Path *elementTagPath, DbvPath **ppsElementTagPath, jmp_buf env);
int DBVdbv_to_snacc_exp_path(PathSeq *data_ptr, DbvPath *psElementTagPath, jmp_buf env);
int DBVdbv_to_snacc_exp_eldatatype(ElementDataType *dataType, struct DbvElementDataType *psDataType, jmp_buf env);
int DBVdbv_to_snacc_primitive(PrimitiveDataType *primitive, DbvPrimitiveDataType *pePrimitive, jmp_buf env);
int DBVdbv_to_snacc_exp_tagsetinfo(struct TagSetInfo* tagSetInfo, DbvTagSetInfo *psTagSetInfo, jmp_buf env);
int DBVdbv_to_snacc_exp_elements_list(TagSetInfoSeqOf *elements, DbvElements **ppsElements, jmp_buf env);
int DBVdbv_to_snacc_exp_elements(TagSetInfoSeqOfSeq *data_ptr, DbvElements *psElements, jmp_buf env);
int DBVdbv_to_snacc_exp_recsyninfo(struct RecordSyntaxInfo* recordSyntaxInfo, DbvRecordSyntaxInfo *psRecordSyntaxInfo, jmp_buf env);
int DBVdbv_to_snacc_exp_attsetinfo(struct AttributeSetInfo* attributeSetInfo, DbvAttributeSetInfo *psAttributeSetInfo, jmp_buf env);
int DBVdbv_to_snacc_exp_attributetype_list(AttributeSetInfoSeqOf *attributes, DbvAttributeType **ppsAttributes, jmp_buf env);
int DBVdbv_to_snacc_exp_attributetype(AttributeType *data_ptr, DbvAttributeType *psAttributes, jmp_buf env);
int DBVdbv_to_snacc_exp_attributevalues_list(AttributeTypeSeqOf *attributeValues, DbvAttributeDescription **ppsAttributeValues, jmp_buf env);
int DBVdbv_to_snacc_exp_attributevalues(AttributeDescription *data_ptr, DbvAttributeDescription *psAttributeValues, jmp_buf env);
int DBVdbv_to_snacc_exp_termlistinfo(struct TermListInfo* termListInfo, DbvTermListInfo *psTermListInfo, jmp_buf env);
int DBVdbv_to_snacc_exp_termlist_list(TermListInfoSeqOf *termLists, DbvTermList **ppsTermLists, jmp_buf env);
int DBVdbv_to_snacc_exp_termlist(TermListInfoSeqOfSeq *data_ptr, DbvTermList *psTermLists, jmp_buf env);
int DBVdbv_to_snacc_searchcost(TermListInfoSeqOfSeqInt *searchCost, DbvSearchCost *peSearchCost, jmp_buf env);
int DBVdbv_to_snacc_exp_extservinfo(struct ExtendedServicesInfo* extendedServicesInfo, DbvExtendedServicesInfo *psExtendedServicesInfo, jmp_buf env);
int DBVdbv_to_snacc_exp_infoint(ExtendedServicesInfoInt *waitAction, DbvExtendedServicesInfoInt *peWaitAction, jmp_buf env);
int DBVdbv_to_snacc_external_opt(struct NEWEXTERNAL **specificExplain, DbvASN1External *psSpecificExplain, jmp_buf env);
int DBVdbv_to_snacc_exp_attdetails(struct AttributeDetails* attributeDetails, DbvAttributeDetails *psAttributeDetails, jmp_buf env);
int DBVdbv_to_snacc_exp_attsbyset_list(AttributeDetailsSeqOf *attributesBySet, DbvAttributesBySet **ppsAttributesBySet, jmp_buf env);
int DBVdbv_to_snacc_exp_attsbyset(AttributeSetDetails *data_ptr, DbvAttributesBySet *psAttributesBySet, jmp_buf env);
int DBVdbv_to_snacc_exp_attsbytype_list(AttributeSetDetailsSeqOf *attributesByType, DbvAttributesByType **ppsAttributesByType, jmp_buf env);
int DBVdbv_to_snacc_exp_attsbytype(AttributeTypeDetails *data_ptr, DbvAttributesByType *psAttributesByType, jmp_buf env);
int DBVdbv_to_snacc_exp_omitattint(struct OmittedAttributeInterpretation* optionalType, DbvOmittedAttributeInterpretation *psOptionalType, jmp_buf env);
int DBVdbv_to_snacc_exp_attvalues_list(AttributeTypeDetailsSeqOf *attributeValues, DbvAttributeValues **ppsAttributeValues, jmp_buf env);
int DBVdbv_to_snacc_exp_attvalues(AttributeValue *data_ptr, DbvAttributeValues *psAttributeValues, jmp_buf env);
int DBVdbv_to_snacc_strornum_list_opt(AttributeValueSeqOf **subAttributes, DbvStringOrNumeric **ppsSubAttributes, jmp_buf env);
int DBVdbv_to_snacc_exp_strornum_list(AttributeValueSeqOf *subAttributes, DbvStringOrNumeric **ppsSubAttributes, jmp_buf env);
int DBVdbv_to_snacc_attcombs_opt(struct AttributeCombinations** attributeCombinations, DbvAttributeCombinations *psAttributeCombinations, jmp_buf env);
int DBVdbv_to_snacc_exp_attcombs(struct AttributeCombinations* attributeCombinations, DbvAttributeCombinations *psAttributeCombinations, jmp_buf env);
int DBVdbv_to_snacc_exp_attcomb_nos_list(AttributeCombinationsSeqOf *legalCombinations, DbvAttributeCombination **ppsLegalCombinations, jmp_buf env);
int DBVdbv_to_snacc_exp_attcomb_nos(AttributeCombination *attcomblist, DbvAttributeCombination *psLegalCombinations, jmp_buf env);
int DBVdbv_to_snacc_attoccur(AttributeOccurrence *data_ptr, DbvAttributeOccurrence *psAttributeOccurrence, jmp_buf env);
int DBVdbv_to_snacc_exp_attoccur(struct AttributeOccurrenceChoice* attributeValues, DbvAttributeOccurrenceChoice *psAttributeValues, jmp_buf env);
int DBVdbv_to_snacc_exp_termlistdetails(struct TermListDetails* termListDetails, DbvTermListDetails *psTermListDetails, jmp_buf env);
int DBVdbv_to_snacc_exp_scaninfo(struct TermListDetailsSeq* scanInfo, DbvScanInfo *psScanInfo, jmp_buf env);
int DBVdbv_to_snacc_exp_term_list(TermListDetailsSeqOf *sampleTerms, DbvTerm **ppsSampleTerms, jmp_buf env);
int DBVdbv_to_snacc_exp_elsetdetails(struct ElementSetDetails* elementSetDetails, DbvElementSetDetails *psElementSetDetails, jmp_buf env);
int DBVdbv_to_snacc_elsetdet_list_opt(RetrievalRecordDetailsSeqOf **detailsPerElement, DbvDetailsPerElement **ppsDetailsPerElement, jmp_buf env);
int DBVdbv_to_snacc_exp_elsetdet_list(ElementSetDetailsSeqOf *detailsPerElement, DbvDetailsPerElement **ppsDetailsPerElement, jmp_buf env);
int DBVdbv_to_snacc_exp_elsetdat(PerElementDetails *data_ptr, DbvDetailsPerElement *psDetailsPerElement, jmp_buf env);
int DBVdbv_to_snacc_exp_rectag(struct RecordTag* recordTag, DbvRecordTag *psRecordTag, jmp_buf env);
int DBVdbv_to_snacc_exp_patha_list(PerElementDetailsSeqOf *schemaTags, DbvPathA **ppsSchemaTags, jmp_buf env);
int DBVdbv_to_snacc_exp_retrecdetails(struct RetrievalRecordDetails* retrievalRecordDetails, DbvRetrievalRecordDetails *psRetrievalRecordDetails, jmp_buf env);
int DBVdbv_to_snacc_exp_sortdetails(struct SortDetails* sortDetails, DbvSortDetails *psSortDetails, jmp_buf env);
int DBVdbv_to_snacc_exp_sortkeys_list(SortDetailsSeqOf *sortKeys, DbvSortKeys **ppsSortKeys, jmp_buf env);
int DBVdbv_to_snacc_exp_sortkeys(SortKeyDetails *data_ptr, DbvSortKeys *psSortKeys, jmp_buf env);
int DBVdbv_to_snacc_exp_specification_list(SortKeyDetailsSeqOf *elementSpecifications, DbvSpecification **ppsElementSpecifications, jmp_buf env);
int DBVdbv_to_snacc_sorttype(struct SortKeyDetailsChoice* sortType, DbvSortType *psSortType, jmp_buf env);
int DBVdbv_to_snacc_sortdetailsint(SortKeyDetailsInt *caseSensitivity, DbvCaseSensitivity *peCaseSensitivity, jmp_buf env);
int DBVdbv_to_snacc_exp_processinginfo(struct ProcessingInformation* processing, DbvProcessingInformation *psProcessing, jmp_buf env);
int DBVdbv_to_snacc_exp_processcontext(ProcessingInformationInt *processingContext, DbvProcessingContext *peProcessingContext, jmp_buf env);
int DBVdbv_to_snacc_exp_variantsetinfo(struct VariantSetInfo* variants, DbvVariantSetInfo *psVariants, jmp_buf env);
int DBVdbv_to_snacc_exp_variantclass_list(VariantSetInfoSeqOf *variants, DbvVariantClass **ppsVariants, jmp_buf env);
int DBVdbv_to_snacc_exp_variantclass(VariantClass *data_ptr, DbvVariantClass *psVariants, jmp_buf env);
int DBVdbv_to_snacc_exp_varianttypes_list(VariantClassSeqOf *variantTypes, DbvVariantTypes **ppsVariantTypes, jmp_buf env);
int DBVdbv_to_snacc_exp_varianttype(VariantType *data_ptr, DbvVariantTypes *psVariantTypes, jmp_buf env);
int DBVdbv_to_snacc_exp_variantvalue(struct VariantValue* variantValue, DbvVariantValue *psVariantValue, jmp_buf env);
int DBVdbv_to_snacc_exp_valueset(struct ValueSet* values, DbvValueSet *psValues, jmp_buf env);
int DBVdbv_to_snacc_exp_valuerange(struct ValueRange* range, DbvValueRange *psValueRange, jmp_buf env);
int DBVdbv_to_snacc_exp_valdesc_opt(struct ValueDescription** lower, DbvValueDescription *psLower, jmp_buf env);
int DBVdbv_to_snacc_exp_valdesc(struct ValueDescription* lower, DbvValueDescription *psLower, jmp_buf env);
int DBVdbv_to_snacc_exp_enumerated_list(ValueSetSeqOf *enumerated, DbvValueDescription **ppsEnumerated, jmp_buf env);
int DBVdbv_to_snacc_exp_unitinfo(struct UnitInfo* units, DbvUnitInfo *psUnits, jmp_buf env);
int DBVdbv_to_snacc_exp_unittype_list(UnitInfoSeqOf *units, DbvUnitType **ppsUnitTypes, jmp_buf env);
int DBVdbv_to_snacc_exp_unittype(UnitType *data_ptr, DbvUnitType *psUnitTypes, jmp_buf env);
int DBVdbv_to_snacc_exp_units_list(UnitTypeSeqOf *units, DbvUnits **ppsUnits, jmp_buf env);
int DBVdbv_to_snacc_exp_units(Units *data_ptr, DbvUnits *psUnits, jmp_buf env);
int DBVdbv_to_snacc_exp_categorylist(struct CategoryList* categoryList, DbvCategoryList *psCategoryList, jmp_buf env);
int DBVdbv_to_snacc_exp_categoryinfo_list(CategoryListSeqOf *categories, DbvCategoryInfo **ppsCategories, jmp_buf env);
int DBVdbv_to_snacc_exp_categoryinfo(CategoryInfo *data_ptr, DbvCategoryInfo *psCategories, jmp_buf env);
int DBVsnacc_to_dbv_explain_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_isoexplain_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_explain_main(struct DbvExplainRecord *psExplainRecord, Explain_Record *explain_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_targetinfo(DbvTargetInfo *psTargetInfo, struct TargetInfo* targetInfo, jmp_buf env);
int DBVsnacc_to_dbv_exp_commoninfo_opt(DbvCommonInfo **ppsCommonInfo, struct CommonInfo *commonInfo, jmp_buf env);
int DBVsnacc_to_dbv_commoninfo(DbvCommonInfo *psCommonInfo, struct CommonInfo* commonInfo, jmp_buf env);
int DBVsnacc_to_dbv_languagecode_opt(DbvLanguageCode **ppsHumanStringLanguage, LanguageCode humanString_Language, jmp_buf env);
int DBVsnacc_to_dbv_humanstring_list_opt(DbvHumanString ***ppsRecentNews, HumanString *recent_news, jmp_buf env);
int DBVsnacc_to_dbv_humanstring_list(DbvHumanString **ppsRecentNews, HumanString *recent_news, jmp_buf env);
int DBVsnacc_to_dbv_humanstring(DbvHumanString *psRecentNews, HumanStringSeq *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_icon_list_opt(DbvIconObject ***pppsIcon, IconObject *icon, jmp_buf env);
int DBVsnacc_to_dbv_icon_list(DbvIconObject **ppsIcon, IconObject *icon, jmp_buf env);
int DBVsnacc_to_dbv_icon(DbvIconObject *psIcon, IconObjectSeq *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_bodytype(DbvBodyType *psBodyType, struct IconObjectSeqChoice* bodyType, jmp_buf env);
int DBVsnacc_to_dbv_exp_contact_info_opt(DbvContactInfo **ppsContactInfo, struct ContactInfo *contactInfo, jmp_buf env);
int DBVsnacc_to_dbv_contact_info(DbvContactInfo *psContactInfo, struct ContactInfo* contactInfo, jmp_buf env);
int DBVsnacc_to_dbv_exp_databaselist_list(DbvDatabaseList **ppsDbCombinations, TargetInfoSeqOf1 *dbCombinations, jmp_buf env);
int DBVsnacc_to_dbv_exp_databaselist(DbvDatabaseList *psDbCombinations, DatabaseList *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_netaddr_list(DbvNetworkAddress **ppsAddresses, TargetInfoSeqOf2 *addresses, jmp_buf env);
int DBVsnacc_to_dbv_exp_netaddr(DbvNetworkAddress *psAddresses, NetworkAddress *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_interaddress(DbvInterAddress *psInternetAddress,  struct NetworkAddressSeq* internetAddress, jmp_buf env);
int DBVsnacc_to_dbv_exp_osipresaddr(DbvOsiPresentationAddress *psOsiPresentationAddress, struct NetworkAddressSeq1* osiPresentationAddress, jmp_buf env);
int DBVsnacc_to_dbv_exp_otheradder(DbvOtherAddress *psOtherAddress, struct NetworkAddressSeq2* other, jmp_buf env);
int DBVsnacc_to_dbv_exp_accessinfo_opt(DbvAccessInfo **ppsCommonAccessInfo, struct AccessInfo *commonAccessInfo, jmp_buf env);
int DBVsnacc_to_dbv_exp_accessinfo(DbvAccessInfo *psCommonAccessInfo, struct AccessInfo* commonAccessInfo, jmp_buf env);
int DBVsnacc_to_dbv_exp_quertypede_list(DbvQueryTypeDetails **ppsQueryTypesSupported, AccessInfoSeqOf *queryTypesSupported, jmp_buf env);
int DBVsnacc_to_dbv_exp_quertypede(DbvQueryTypeDetails *psQueryTypesSupported, QueryTypeDetails *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_rpncapab_comp(DbvRpnCapabilities **psRpn, struct RpnCapabilities *rpn, jmp_buf env);
int DBVsnacc_to_dbv_privatecap(DbvPrivateCapabilities *psPrivate, struct PrivateCapabilities* private, jmp_buf env);
int DBVsnacc_to_dbv_exp_ops_list(DbvOperators **ppsOperators, PrivateCapabilitiesSeqOf *operators, jmp_buf env);
int DBVsnacc_to_dbv_exp_operators(DbvOperators *psOperators, PrivateCapabilitiesSeqOfSeq *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_srchket_opt(DbvSearchKey ***pppsSearchKey, PrivateCapabilitiesSeqOf1 *searchKeys, jmp_buf env);
int DBVsnacc_to_dbv_exp_srchkey_list(DbvSearchKey **ppsSearchKey, PrivateCapabilitiesSeqOf1* searchKeys, jmp_buf env);
int DBVsnacc_to_dbv_exp_srchkey(DbvSearchKey *psSearchKey, SearchKey *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_humanstringseq_list(DbvHumanStringSeq **ppsDescription, PrivateCapabilitiesSeqOf2 *description, jmp_buf env);
int DBVsnacc_to_dbv_rpncap(DbvRpnCapabilities *psRpn, struct RpnCapabilities* rpn, jmp_buf env);
int DBVsnacc_to_dbv_exp_proximity(DbvProximitySupport *psProximity, struct ProximitySupport* proximity, jmp_buf env);
int DBVsnacc_to_dbv_exp_unitssupp_list(DbvUnitsSupported **ppsUnitsSupported, ProximitySupportSeqOf *unitsSupported, jmp_buf env);
int DBVsnacc_to_dbv_exp_unitssupp(DbvUnitsSupported *psUnitsSupported, ProximitySupportSeqOfChoice *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_private(DbvPrivate *psPrivate, struct ProximitySupportSeqOfChoiceSeq* private, jmp_buf env);
int DBVsnacc_to_dbv_iso8777cap(DbvIso8777Capabilities *psIso8777, struct Iso8777Capabilities* iso8777, jmp_buf env);
int DBVsnacc_to_dbv_exp_objectident_list(DbvObjectIdentifier *ppcDiagnosticsSets, AccessInfoSeqOf1 *diagnosticsSets, jmp_buf env);
int DBVsnacc_to_dbv_exp_accessrestrict(DbvAccessRestrictions **ppsRestrictedAccess, AccessRestrictions *restrictedAccess, jmp_buf env);
int DBVsnacc_to_dbv_exp_accessrest(DbvAccessRestrictions *psRestrictedAccess, AccessRestrictionsSeq *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_accesstype(DbvAccessType *peAccessType, AccessRestrictionsSeqInt *accessType, jmp_buf env);
int DBVsnacc_to_dbv_exp_costs(DbvCosts *psCostInfo, struct Costs* costInfo, jmp_buf env);
int DBVsnacc_to_dbv_exp_charge_opt(DbvCharge **ppsConnectCharge, struct Charge *connectCharge, jmp_buf env);
int DBVsnacc_to_dbv_exp_charge(DbvCharge *psConnectCharge, struct Charge* connectCharge, jmp_buf env);
int DBVsnacc_to_dbv_unit_opt(DbvUnit **ppsPerWhat, struct Unit *perWhat, jmp_buf env);
int DBVsnacc_to_dbv_exp_othercharge_list(DbvOtherCharge **ppsOtherCharge, CostsSeqOf *otherCharges, jmp_buf env);
int DBVsnacc_to_dbv_exp_othercharge(DbvOtherCharge *psOtherCharge, CostsSeqOfSeq *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_dbinfo(DbvDatabaseInfo *psDatabaseInfo, struct DatabaseInfo* databaseInfo, jmp_buf env);
int DBVsnacc_to_dbv_exp_databaseinfo_list(DbvDataBaseInfoSeq **ppsKeywords, DatabaseInfoSeqOf1 *keywords, jmp_buf env);
int DBVsnacc_to_dbv_exp_recordcount(DbvRecordCount *psRecordCount, struct DatabaseInfoChoice* recordCount, jmp_buf env);
int DBVsnacc_to_dbv_exp_schemainfo(DbvSchemaInfo *psSchemaInfo, struct SchemaInfo* schemaInfo, jmp_buf env);
int DBVsnacc_to_dbv_exp_tagtypemapp_list(DbvTagTypeMapping **ppsTagTypeMapping, SchemaInfoSeqOf *tagTypeMapping, jmp_buf env);
int DBVsnacc_to_dbv_exp_tagtypemapp(DbvTagTypeMapping *psTagTypeMapping, SchemaInfoSeqOfSeq *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_elementinfo_list_opt(DbvElementInfo ***pppsRecordStructure, SchemaInfoSeqOf1 *recordStructure, jmp_buf env);
int DBVsnacc_to_dbv_exp_elementinfo_list(DbvElementInfo **ppsRecordStructure, SchemaInfoSeqOf1 *recordStructure, jmp_buf env);
int DBVsnacc_to_dbv_exp_elementinfo(DbvElementInfo *psRecordStructure, ElementInfo *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_path_list(DbvPath **ppsElementTagPath, Path *elementTagPath, jmp_buf env);
int DBVsnacc_to_dbv_exp_path(DbvPath *psElementTagPath, PathSeq *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_eldatatype(struct DbvElementDataType *psDataType, struct ElementDataType* dataType, jmp_buf env);
int DBVsnacc_to_dbv_exp_primitive(DbvPrimitiveDataType *pePrimitive, PrimitiveDataType *primitive, jmp_buf env);
int DBVsnacc_to_dbv_exp_tagsetinfo(DbvTagSetInfo *psTagSetInfo, struct TagSetInfo* tagSetInfo, jmp_buf env);
int DBVsnacc_to_dbv_exp_elements_list(DbvElements **ppsElements, TagSetInfoSeqOf *elements, jmp_buf env);
int DBVsnacc_to_dbv_exp_elements(DbvElements *psElements, TagSetInfoSeqOfSeq *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_recsyninfo(DbvRecordSyntaxInfo *psRecordSyntaxInfo, struct RecordSyntaxInfo* recordSyntaxInfo, jmp_buf env);
int DBVsnacc_to_dbv_exp_attsetinfo(DbvAttributeSetInfo *psAttributeSetInfo, struct AttributeSetInfo* attributeSetInfo, jmp_buf env);
int DBVsnacc_to_dbv_exp_attributetype_list(DbvAttributeType **ppsAttributes, AttributeSetInfoSeqOf *attributes, jmp_buf env);
int DBVsnacc_to_dbv_exp_attributetype(DbvAttributeType *psAttributes, AttributeType *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_attributevalues_list(DbvAttributeDescription **ppsAttributeValues, AttributeTypeSeqOf *attributeValues, jmp_buf env);
int DBVsnacc_to_dbv_exp_attributevalues(DbvAttributeDescription *psAttributeValues, AttributeDescription *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_termlistinfo(DbvTermListInfo *psTermListInfo, struct TermListInfo* termListInfo, jmp_buf env);
int DBVsnacc_to_dbv_exp_termlist_list(DbvTermList **ppsTermLists, TermListInfoSeqOf *termLists, jmp_buf env);
int DBVsnacc_to_dbv_exp_termlist(DbvTermList *psTermLists, TermListInfoSeqOfSeq *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_searchcost(DbvSearchCost *peSearchCost, TermListInfoSeqOfSeqInt *searchCost, jmp_buf env);
int DBVsnacc_to_dbv_exp_extservinfo(DbvExtendedServicesInfo *psExtendedServicesInfo, struct ExtendedServicesInfo* extendedServicesInfo, jmp_buf env);
int DBVsnacc_to_dbv_infoint(DbvExtendedServicesInfoInt *peWaitAction, ExtendedServicesInfoInt *waitAction, jmp_buf env);
int DBVsnacc_to_dbv_external_opt(DbvASN1External **ppsSpecificExplain, struct NEWEXTERNAL *specificExplain, jmp_buf env);
int DBVsnacc_to_dbv_exp_attdetails(DbvAttributeDetails *psAttributeDetails, struct AttributeDetails* attributeDetails, jmp_buf env);
int DBVsnacc_to_dbv_exp_attsbyset_list(DbvAttributesBySet **ppsAttributesBySet, AttributeDetailsSeqOf *attributesBySet, jmp_buf env);
int DBVsnacc_to_dbv_exp_attributebyset(DbvAttributesBySet *psAttributesBySet, AttributeSetDetails *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_attsbytype_list(DbvAttributesByType **ppsAttributesByType, AttributeSetDetailsSeqOf *attributesByType, jmp_buf env);
int DBVsnacc_to_dbv_exp_attsbytype(DbvAttributesByType *psAttributesByType, AttributeTypeDetails *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_ommitattint(DbvOmittedAttributeInterpretation *psOptionalType, struct OmittedAttributeInterpretation* optionalType, jmp_buf env);
int DBVsnacc_to_dbv_exp_attsvals_list(DbvAttributeValues **ppsAttributeValues, AttributeTypeDetailsSeqOf *attributeValues, jmp_buf env);
int DBVsnacc_to_dbv_exp_attsvals(DbvAttributeValues *psAttributeValues, AttributeValue *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_strornum_list_opt(DbvStringOrNumeric ***pppsSubAttributes, AttributeValueSeqOf *subAttributes, jmp_buf env);
int DBVsnacc_to_dbv_exp_strornum_list(DbvStringOrNumeric **ppsSubAttributes, AttributeValueSeqOf *subAttributes, jmp_buf env);
int DBVsnacc_to_dbv_attcombs_opt(DbvAttributeCombinations **ppsAttributeCombinations, struct AttributeCombinations *attributeCombinations, jmp_buf env);
int DBVsnacc_to_dbv_exp_attcombs(DbvAttributeCombinations *psAttributeCombinations, struct AttributeCombinations* attributeCombinations, jmp_buf env);
int DBVsnacc_to_dbv_exp_attcomb_nos_list(DbvAttributeCombination **ppsLegalCombinations, AttributeCombinationsSeqOf *legalCombinations, jmp_buf env);
int DBVsnacc_to_dbv_attoccur_list(DbvAttributeCombination *psLegalCombinations, AttributeCombination *attcomlist, jmp_buf env);
int DBVsnacc_to_dbv_attoccur(DbvAttributeOccurrence *psAttributeOccurrence, AttributeOccurrence *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_attoccurchoice(DbvAttributeOccurrenceChoice *psAttributeValues, struct AttributeOccurrenceChoice* attributeValues, jmp_buf env);
int DBVsnacc_to_dbv_exp_termlistdetails(DbvTermListDetails *psTermListDetails, struct TermListDetails* termListDetails, jmp_buf env);
int DBVsnacc_to_dbv_scaninfo(DbvScanInfo *psScanInfo, struct TermListDetailsSeq* scanInfo, jmp_buf env);
int DBVsnacc_to_dbv_exp_term_list(DbvTerm **ppsSampleTerms, TermListDetailsSeqOf *sampleTerms, jmp_buf env);
int DBVsnacc_to_dbv_exp_elsetdetails(DbvElementSetDetails *psElementSetDetails, struct ElementSetDetails* elementSetDetails, jmp_buf env);
int DBVsnacc_to_dbv_elsetde_list_opt(DbvDetailsPerElement ***pppsDetailsPerElement, RetrievalRecordDetailsSeqOf *detailsPerElement, jmp_buf env);
int DBVsnacc_to_dbv_exp_elsetde_list(DbvDetailsPerElement **ppsDetailsPerElement, ElementSetDetailsSeqOf *detailsPerElement, jmp_buf env);
int DBVsnacc_to_dbv_exp_elsetde(DbvDetailsPerElement *psDetailsPerElement, PerElementDetails *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_rectag(DbvRecordTag *psRecordTag, struct RecordTag* recordTag, jmp_buf env);
int DBVsnacc_to_dbv_exp_patha_list(DbvPathA **ppsSchemaTags, PerElementDetailsSeqOf *schemaTags, jmp_buf env);
int DBVsnacc_to_dbv_exp_retrecdetails(DbvRetrievalRecordDetails *psRetrievalRecordDetails, struct RetrievalRecordDetails* retrievalRecordDetails, jmp_buf env);
int DBVsnacc_to_dbv_exp_sortdetails(DbvSortDetails *psSortDetails, struct SortDetails* sortDetails, jmp_buf env);
int DBVsnacc_to_dbv_exp_sortkeys_list(DbvSortKeys **ppsSortKeys, SortDetailsSeqOf *sortKeys, jmp_buf env);
int DBVsnacc_to_dbv_exp_sortkeys(DbvSortKeys *psSortKeys, SortKeyDetails *data_ptr, jmp_buf env);
int  DBVsnacc_to_dbv_exp_specification_list(DbvSpecification **ppsElementSpecifications, SortKeyDetailsSeqOf *elementSpecifications, jmp_buf env);
int DBVsnacc_to_dbv_exp_sorttype(DbvSortType *psSortType, struct SortKeyDetailsChoice* sortType, jmp_buf env);
int DBVsnacc_to_dbv_exp_casesen(DbvCaseSensitivity *peCaseSensitivity, SortKeyDetailsInt *caseSensitivity, jmp_buf env);
int DBVsnacc_to_dbv_exp_processinginfo(DbvProcessingInformation *psProcessing, struct ProcessingInformation* processing, jmp_buf env);
int DBVsnacc_to_dbv_exp_processcontext(DbvProcessingContext *peProcessingContext, ProcessingInformationInt *processingContext, jmp_buf env);
int DBVsnacc_to_dbv_exp_variantsetinfo(DbvVariantSetInfo *psVariants, struct VariantSetInfo* variants, jmp_buf env);
int DBVsnacc_to_dbv_exp_variantclass_list(DbvVariantClass **ppsVariants, VariantSetInfoSeqOf *variants, jmp_buf env);
int DBVsnacc_to_dbv_variantclass(DbvVariantClass *psVariants, VariantClass *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_varianttypes_list(DbvVariantTypes **ppsVariantTypes, VariantClassSeqOf *variantTypes, jmp_buf env);
int DBVsnacc_to_dbv_varianttypes(DbvVariantTypes *psVariantTypes, VariantType *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_variantvalue(DbvVariantValue *psVariantValue, struct VariantValue* variantValue, jmp_buf env);
int DBVsnacc_to_dbv_exp_valueset(DbvValueSet *psValues, struct ValueSet* values, jmp_buf env);
int DBVsnacc_to_dbv_exp_valuerange(DbvValueRange *psRange, struct ValueRange *range, jmp_buf env);
int DBVsnacc_to_dbv_exp_valuedescript_opt(DbvValueDescription **ppsLower, struct ValueDescription *lower, jmp_buf env);
int DBVsnacc_to_dbv_exp_valuedescript(DbvValueDescription *psLower, struct ValueDescription *lower, jmp_buf env);
int DBVsnacc_to_dbv_exp_valuedescript_list(DbvValueDescription **ppsEnumerated, ValueSetSeqOf *enumerated, jmp_buf env);
int DBVsnacc_to_dbv_exp_unitinfo(DbvUnitInfo *psUnits, struct UnitInfo* units, jmp_buf env);
int DBVsnacc_to_dbv_exp_unittypes_list(DbvUnitType **ppsUnitTypes, UnitInfoSeqOf *units, jmp_buf env);
int DBVsnacc_to_dbv_exp_unittypes(DbvUnitType *psUnitTypes, UnitType *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_units_list(DbvUnits **ppsUnits, UnitTypeSeqOf *units, jmp_buf env);
int DBVsnacc_to_dbv_exp_units(DbvUnits *psUnits, Units *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_exp_categorylist(DbvCategoryList *psCategoryList, struct CategoryList* categoryList, jmp_buf env);
int DBVsnacc_to_dbv_exp_categoryinfo_list(DbvCategoryInfo **ppsCategories, CategoryListSeqOf *categories, jmp_buf env);
int DBVsnacc_to_dbv_exp_categoryinfo(DbvCategoryInfo *psCategories, CategoryInfo *data_ptr, jmp_buf env);


int DBVdbv_to_snacc_generic_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_isogeneric_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_generic_main(GenericRecord *generic_ptr, struct DbvGenericRecord *psGenericRecord, jmp_buf env);
int DBVdbv_to_snacc_gen_taggedelement_list_comp(GenericRecordSeqOf **johnfix, DbvTaggedElement **ppsTaggedElement, jmp_buf env);
int DBVdbv_to_snacc_gen_taggedelement_list(GenericRecordSeqOf *johnfix, DbvTaggedElement **ppsTaggedElement, jmp_buf env);
int DBVdbv_to_snacc_gen_taggedelement(TaggedElement *data_ptr, DbvTaggedElement *psTaggedElement, jmp_buf env);
int DBVdbv_to_snacc_gen_elementdata(struct ElementData* content, DbvElementDataG *psContent, jmp_buf env);
int DBVdbv_to_snacc_gen_metadata(struct ElementMetaData* metaData, DbvElementMetaData *psMetaData, jmp_buf env);
int DBVdbv_to_snacc_gen_variant(struct Variant* appliedVariant, DbvVariant *psAppliedVariant, jmp_buf env);
int DBVsnacc_to_dbv_generic_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_isogeneric_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_generic_main(struct DbvGenericRecord *psGenericRecord, GenericRecord *generic_ptr, jmp_buf env);
int DBVsnacc_to_dbv_taggedelement_list_comp(DbvTaggedElement ***pppsTaggedElement, GenericRecordSeqOf *johnfix, jmp_buf env);
int DBVsnacc_to_dbv_gen_taggedelement_list(DbvTaggedElement **ppsTaggedElement, GenericRecordSeqOf *johnfix, jmp_buf env);
int DBVsnacc_to_dbv_gen_taggedelement(DbvTaggedElement *psTaggedElement, TaggedElement *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_gen_elementdata(DbvElementDataG *psContent, struct ElementData *content, jmp_buf env);
int DBVsnacc_to_dbv_gen_metadata(DbvElementMetaData *psMetaData, struct ElementMetaData *metaData, jmp_buf env);
int DBVsnacc_to_dbv_gen_variant(DbvVariant *psAppliedVariant, struct Variant *appliedVariant, jmp_buf env);



int DBVcheck_at_explain(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);


int DBVcheck_DbvExplainRecord(DbvAssocId lAssocId, DbvExplainRecord *psExplainRecord, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvTargetInfo(DbvAssocId lAssocId, DbvTargetInfo *psTargetInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvCommonInfo_opt(DbvAssocId lAssocId, DbvCommonInfo *psCommonInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvCommonInfo(DbvAssocId lAssocId, DbvCommonInfo *psCommonInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvIconObject(DbvAssocId lAssocId, DbvIconObject *psIcon, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvBodyType(DbvAssocId lAssocId, DbvBodyType *psBodyType, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvDatabaseList(DbvAssocId lAssocId, DbvDatabaseList *psDbCombinations, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvNetworkAddress(DbvAssocId lAssocId, DbvNetworkAddress *psAddresses, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAccessInfo_opt(DbvAssocId lAssocId, DbvAccessInfo *psCommonAccessInfo, char *error_buffer, DbvError **ppsSIError); 
int DBVcheck_DbvAccessInfo(DbvAssocId lAssocId, DbvAccessInfo *psCommonAccessInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvObjectIdentifier(DbvAssocId lAssocId, DbvObjectIdentifier pcDiagnosticsSets, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAccessRestrictions(DbvAssocId lAssocId, DbvAccessRestrictions *psRestrictedAccess, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvQueryTypeDetails(DbvAssocId lAssocId, DbvQueryTypeDetails *psQueryTypesSupported, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPrivateCapabilities(DbvAssocId lAssocId, DbvPrivateCapabilities *psPrivate, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvHumanStringSeq(DbvAssocId lAssocId, DbvHumanStringSeq *psDescription, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvRpnCapabilities(DbvAssocId lAssocId, DbvRpnCapabilities *psRpn, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvProximitySupport_opt(DbvAssocId lAssocId, DbvProximitySupport *psProximity, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvProximitySupport(DbvAssocId lAssocId, DbvProximitySupport *psProximity, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvUnitsSupported(DbvAssocId lAssocId, DbvUnitsSupported *psQueryTypesSupported, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvCosts_opt(DbvAssocId lAssocId, DbvCosts *psCostInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvCosts(DbvAssocId lAssocId, DbvCosts *psCostInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvCharge_opt(DbvAssocId lAssocId, DbvCharge *psConnectCharge, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvCharge(DbvAssocId lAssocId, DbvCharge *psConnectCharge, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvOtherCharge(DbvAssocId lAssocId, DbvOtherCharge *psUnitsSupported, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvDatabaseInfo(DbvAssocId lAssocId, DbvDatabaseInfo *psDatabaseInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvDataBaseInfoSeq(DbvAssocId lAssocId, DbvDataBaseInfoSeq *psKeywords, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvRecordCount_opt(DbvAssocId lAssocId, DbvRecordCount *psRecordCount, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvRecordCount(DbvAssocId lAssocId, DbvRecordCount *psRecordCount, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvSchemaInfo(DbvAssocId lAssocId, DbvSchemaInfo *psSchemaInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvElementInfo(DbvAssocId lAssocId, DbvElementInfo *psRecordStructure, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPath(DbvAssocId lAssocId, DbvPath *psElementTagPath, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvElementDataType_opt(DbvAssocId lAssocId, DbvElementDataType *psDataType, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvElementDataType(DbvAssocId lAssocId, DbvElementDataType *psDataType, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPrimitiveDataType(DbvAssocId lAssocId, DbvPrimitiveDataType *peDataType, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvTagSetInfo(DbvAssocId lAssocId, DbvTagSetInfo *psTagSetInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvElements(DbvAssocId lAssocId, DbvElements *psElements, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPrimitiveDataType_opt(DbvAssocId lAssocId, DbvPrimitiveDataType *peDataType, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvRecordSyntaxInfo(DbvAssocId lAssocId, DbvRecordSyntaxInfo *psRecordSyntaxInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAttributeSetInfo(DbvAssocId lAssocId, DbvAttributeSetInfo *psAttributeSetInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAttributeType(DbvAssocId lAssocId, DbvAttributeType *psAttributes, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAttributeDescription(DbvAssocId lAssocId, DbvAttributeDescription *psAttributeValues, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvTermListInfo(DbvAssocId lAssocId, DbvTermListInfo *psTermListInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvTermList(DbvAssocId lAssocId, DbvTermList *psTermLists, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvExtendedServicesInfo(DbvAssocId lAssocId, DbvExtendedServicesInfo *psExtendedServicesInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAttributeDetails(DbvAssocId lAssocId, DbvAttributeDetails *psAttributeDetails, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAttributesBySet(DbvAssocId lAssocId, DbvAttributesBySet *psAttributesBySet, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAttributesByType(DbvAssocId lAssocId, DbvAttributesByType *psAttributesByType, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvOmittedAttributeInterpretation_opt(DbvAssocId lAssocId, DbvOmittedAttributeInterpretation *psOptionalType, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvOmittedAttributeInterpretation(DbvAssocId lAssocId, DbvOmittedAttributeInterpretation *psOptionalType, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAttributeValues(DbvAssocId lAssocId, DbvAttributeValues *psAttributeValues, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAttributeCombinations_opt(DbvAssocId lAssocId, DbvAttributeCombinations *psAttributeCombinations, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAttributeCombinations(DbvAssocId lAssocId, DbvAttributeCombinations *psAttributeCombinations, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAttributeCombination(DbvAssocId lAssocId, DbvAttributeCombination *psLegalCombinations, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAttributeOccurrence(DbvAssocId lAssocId, DbvAttributeOccurrence *psAttributeOccurrence, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAttributeOccurrenceChoice(DbvAssocId lAssocId, DbvAttributeOccurrenceChoice *psAttributeValues, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvTermListDetails(DbvAssocId lAssocId, DbvTermListDetails *psTermListDetails, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvScanInfo_opt(DbvAssocId lAssocId, DbvScanInfo *psScanInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvScanInfo(DbvAssocId lAssocId, DbvScanInfo *psScanInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvElementSetDetails(DbvAssocId lAssocId, DbvElementSetDetails *psElementSetDetails, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvDetailsPerElement(DbvAssocId lAssocId, DbvDetailsPerElement *psDetailsPerElement, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvRecordTag_opt(DbvAssocId lAssocId, DbvRecordTag *psRecordTag, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvRecordTag(DbvAssocId lAssocId, DbvRecordTag *psRecordTag, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPathA(DbvAssocId lAssocId, DbvPathA *psSchemaTags, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvRetrievalRecordDetails(DbvAssocId lAssocId, DbvRetrievalRecordDetails *psRetrievalRecordDetails, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvSortDetails(DbvAssocId lAssocId, DbvSortDetails *psSortDetails, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvSortKeys(DbvAssocId lAssocId, DbvSortKeys *psSortKeys, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvSortType_opt(DbvAssocId lAssocId, DbvSortType *psSortType, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvSortType(DbvAssocId lAssocId, DbvSortType *psSortType, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvProcessingInformation(DbvAssocId lAssocId, DbvProcessingInformation *psProcessing, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvVariantSetInfo(DbvAssocId lAssocId, DbvVariantSetInfo *psVariants, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvVariantClass(DbvAssocId lAssocId, DbvVariantClass *psVariants, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvVariantTypes(DbvAssocId lAssocId, DbvVariantTypes *psVariantTypes, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvVariantValue_opt(DbvAssocId lAssocId, DbvVariantValue *psVariantValue, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvVariantValue(DbvAssocId lAssocId, DbvVariantValue *psVariantValue, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvValueSet_opt(DbvAssocId lAssocId, DbvValueSet *psValues, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvValueSet(DbvAssocId lAssocId, DbvValueSet *psValues, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvValueRange(DbvAssocId lAssocId, DbvValueRange *psRange, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvValueDescription_opt(DbvAssocId lAssocId, DbvValueDescription *psEnumerated, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvValueDescription(DbvAssocId lAssocId, DbvValueDescription *psEnumerated, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvUnitInfo(DbvAssocId lAssocId, DbvUnitInfo *psUnits, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvUnitType(DbvAssocId lAssocId, DbvUnitType *psUnitTypes, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvUnits(DbvAssocId lAssocId, DbvUnits *psUnits, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvCategoryList(DbvAssocId lAssocId, DbvCategoryList *psCategoryList, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvCategoryInfo(DbvAssocId lAssocId, DbvCategoryInfo *psCategories, char *error_buffer, DbvError **ppsSIError);




int DBVcheck_at_generic(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);




#endif



